!
! GNU MASTER 5.0 Book: courtesy John Birmingham, Peter Kent
!		       Grandmaster John Nunn
!
! Copyright (c) 1991,1992 Free Software Foundation
!
! This file is part of GNU CHESS.
! 
! GNU Chess is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2, or (at your option)
! any later version.
! 
! GNU Chess is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with GNU Chess; see the file COPYING.  If not, write to
! the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
!
! This is an alternate book for GNU Chess. It has not been
! tuned for its style, but rather for the style of a successful
! program of several years ago which competed favorably in Europe.
! This book can be used in addition to or instead of the regular
! gnuchess book. It is included for interested parties and
! perhaps to further book research, which is needed.
!
! This is a tournament book designed for transpositions.
! It is arranged so that if scanned from front to back the openings
! are best for WHITE and if scanned from back to front, the openings
! are best for BLACK.
!
! The book will work with GNU CHESS, but with limited transposition.
! This book contains 841 lines of 10 moves.
!
!  USE. (to get best results).
!
! When loading the book, build two pointer chains, one running forward
! and one backwards. Use forward for W and backward for B.
! Alternatively (and best) build a 2 dimensional array.
!   e.g.:
!                 -------------------
!                 [line1 .....
!                 [line2 .....
!                 [.....
!                 [last line
!                  -----------------
!   
! Scan: book[1][1] , book[2][1]  for White
! and : book[800][1] , book[799][1] for Black
!   
! Program needs a current GameList and a true/false array for
! transpositions.
! On entry to book routine, set t/f array to f. Scan the book comparing
! each book line to the GameList.
! Set t/f array to true for any match IN ANY ORDER.(!) in that line.
! If all elements in t/f array are set true for all played moves in the line,
! then pick the next move in the book. (book is safe for this).
! This algorythm allows the prog to transpose towards the front or
! back and thus tries to improve the strength of the opening.
!
! If the prog is taken out of the book, DO NOT NULL the book for at least
! THREE moves as it will often transpose back in again.
! It is highly reccomended that the program is given DOUBLE time for the first
! computed move out of the book as it will then avoid traps and often compute
! a move which puts it back into the book with a transposition which can then
! be added to the book.
! Random openings are not reccomended as this defeats the design criteria
! for the book.
! If the program is taken out of the book and then transposes back
! in again, add the line to the book for next time - but CHECK legality.
! The MASTER program prints the book line number as it transposes
! to assist this. It is reccomended practise anyway.
!
! DESIGN.
!
! The book is designed to overcome agressive computed play in the
! opening. It builds a SAFE opening, giving up the centre for good
! development thus giving the program a chance to do what it knows
! best about - attack with well placed pieces.
! In general, it will develop knights, fianchetto bishops, castle
! and leave a sensible pawn structure. It contains 'Anti-Levi'
! lines to prevent attempts at 'kicking' the prog out of the book
! at a bad stage of development.
! It contains many 'English, Reti and reverse-Reti lines. We have
! avoided published games to avoid traps. MCO lines were used a lot
! and JN provided many lines to enable transpositions.
!
! Most of the transpositions were verified by J.Nunn (GM) and the
! whole book is checked for legality.
! The book was used by the MASTER program in the first three world
! computer chess tournaments.
!
! Scan book from this end for white.
!
g1f3 b7b5 g2g3 e7e6 a2a4 b5b4 b2b3 c8b7 f1g2 f7f5 c1b2 g8f6 d2d3 b8a6 f3h4 b7g2 h4g2 g7g6 e2e4
!
g1f3 g7g6 g2g3 f8g7 f1g2 e7e5 e2e4 b8c6 d2d3 d7d6  o-o g8e7 b1d2  o-o c2c3 h7h6 b2b4 a7a6 c1b2 f7f5
!
g1f3 f7f5 g2g3 g8f6 f1g2 e7e6 d2d3 f8e7  o-o  o-o b1d2 d7d6 e2e4 f5e4 d3e4 e6e5 d2c4 b8d7 c4e3 d7b6
!
g1f3 f7f5 g2g3 b7b6 f1g2 c8b7  o-o g8f6 d2d3 e7e6 e2e4 f5e4 f3g5 f8e7 b1c3  o-o c3e4 f6e4 g5e4 b8c6
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 b8c6 d4d5 c6a5 f3d2 c7c5 a2a4 c8d7
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 e7e5 d4e5 f6g4 h2h3 g4e5 d1d5 e5f7
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 g8h8 b1d2 b8c6 c2c4 e7e5 d4e5 f6g4
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 f6e4 d1c1 e7e6 c2c4 d8e8 b1c3 e4c3
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 b8d7 b1d2 d8e8 e2e4 f6e4 d2e4 f5e4
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 b8d7 b1d2 f8e8 d2c4 d7b6 d1d3 c7c6
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 f6h5 e2e3 b8c6 b1a3 e7e6 c2c4 d8e7
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 c7c6 b1d2 a7a5 a2a4 b8a6 f3e1 a6b4
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 c7c6 b1d2 b8a6 f3e1 d8c7 e1d3 f8e8
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o d7d6 d2d4 c7c6 b1d2 g8h8 f1e1 a7a5 a2a3
!
g1f3 f7f5 g2g3 g8f6 f1g2 d7d6 d2d4 c7c6  o-o d8c7 b1d2 g7g6 f1e1 d6d5 f3e5 f8g7 d2f3  o-o c2c4 f6e4
!
g1f3 f7f5 g2g3 g8f6 f1g2 d7d6 d2d4 c7c6  o-o d8c7 b1d2 g7g6 f1e1 d6d5 f3e5 f8g7 d2f3 b8d7 c2c4 d7e5
!
g1f3 f7f5 g2g3 g8f6 f1g2 d7d6 d2d4 c7c6  o-o d8c7 b1d2 e7e5 d4e5 d6e5 d2c4 b8d7 f3e5 d7e5 c1f4
!
g1f3 f7f5 g2g3 g8f6 f1g2 d7d6 d2d4 c7c6  o-o d8c7 b1d2 b8a6 b2b3
!
g1f3 f7f5 g2g3 g8f6 f1g2 d7d6 d2d4 b8d7 d1d3 d7b6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o b1d2 f6h5 a1d1 a7a5
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e6 e2e4 g8e7 c2c3 e6e5 a2a3 a7a5 a3a4  o-o b1a3 d7d6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e6 e2e4 g8e7 c2c3  o-o d3d4 c5d4 c3d4 d7d5 e4e5 f7f6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e6 e2e4 g8e7 c2c3  o-o d3d4 d7d6 d4c5 d6c5 d1e2 b7b6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o d7d5 b1d2 g8f6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e5 c2c3 g8e7 a2a3 a7a5 a3a4 d7d6 e2e4  o-o b1d2 h7h6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e5 c2c3 g8e7 a2a3 a7a5 a3a4 d7d5 b1a3  o-o e2e4 h7h6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e5 c2c3 g8e7 a2a3  o-o b2b4 d7d6 c1b2 h7h6 d1c2 c8e6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o e7e5 c2c3 g8e7 a2a3  o-o b2b4 c5b4 a3b4 c6b4 c3b4 e5e4
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o g8f6 b1c3  o-o a2a3 d7d6 a1b1 b7b6 b2b4 c8b7 c1g5 d8d7
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o g8f6 b1c3  o-o a2a3 d7d6 a1b1 c8d7 h2h3 a7a6 e2e4
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o g8f6 b1c3  o-o a2a3 a8b8 a1b1 b7b5 d3d4 c5d4 f3d4 c6d4
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6 d2d3 f8g7  o-o g8f6 b1c3  o-o a2a3 a8b8 a1b1 a7a5 a3a4 d7d5 c1f4 b8a8
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o g7g6 d2d3 d7d6 e2e4 c7c5 b1c3 f8g7 f3e1 f6d7 c1e3 b8c6 d1d2  o-o
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o g7g6 d2d3 d7d6 e2e4 e7e5 f3h4 f8g7 f2f4 b8c6 b1c3 c6d4 h4f3 d4f3
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o g7g6 d2d3 d7d6 e2e4 e7e5 f3h4 f8g7 f2f4 f6d7 f4f5 b8c6 b1c3 c6d4
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o g7g6 d2d3 c7c5 e2e4 f8g7 b1c3  o-o f3g5 f6e8 f2f4 f7f5 g3g4 e7e6
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o g7g6 d2d3 d7d5 b1d2 b8d7 f1e1 f8g7 e2e4 d5e4 d3e4 e7e5 b2b4  o-o
!
g1f3 g8f6 g2g3 d7d6 f1g2 e7e5 d2d3 f8e7 e2e4  o-o  o-o b8c6 b1c3 f6e8 f3e1 f7f5 e4f5 c8f5 f2f4 d8d7
!
g1f3 g8f6 g2g3 d7d6 f1g2 e7e5 d2d3 f8e7 e2e4  o-o  o-o b8d7 b1d2 a7a5 d2c4 d7c5 c1e3
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 f8e7 e2e4 d7d6 b1c3  o-o f3e1 d8c8 f2f4 c7c5 g3g4 f8d8
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 f8e7 e2e4 d7d6 b1c3 a7a6 a2a4 c7c5 f3h4 d8c7 f2f4 b8d7
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 f8e7 e2e4 d7d5 e4e5 f6d7 d3d4 c7c5 c2c3 b8c6 f1e1  o-o
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 f8e7 e2e4 c7c5 b1c3  o-o
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 d7d5 b1d2 b8d7 c2c3 f8e7 d1c2  o-o e2e4 d5e4 d3e4 d7c5
!
g1f3 g8f6 g2g3 b7b6 f1g2 c8b7  o-o e7e6 d2d3 d7d5 b1d2 b8d7 c2c3 f8e7 d1c2  o-o e2e4 c7c5 f1e1 d8c7
!
g1f3 g8f6 g2g3 b7b5 a2a4 b5b4 f1g2 c8b7  o-o e7e6 d2d3 d7d5 b1d2 f8e7 e2e4  o-o f1e1 d5e4 f3e5 b8d7
!
g1f3 g8f6 g2g3 b7b5 a2a4 b5b4 f1g2 c8b7  o-o e7e6 d2d3 d7d5 b1d2 f8e7 e2e4  o-o f1e1 c7c5 e4e5 f6d7
!
g1f3 g8f6 g2g3 b7b5 a2a4 b5b4 f1g2 c8b7  o-o e7e6 d2d3 d7d6 e2e4 b8d7 b1d2 f8e7 d2c4 a7a5 d1e2  o-o
!
g1f3 g8f6 g2g3 b7b5 a2a4 b5b4 f1g2 c8b7  o-o e7e6 d2d3 d7d6 e2e4 c7c5 b1d2 f6d7 d2c4 b8c6 c1g5
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 a7a5 b4b5 d7d6 d2d4 b8d7 c2c4 e7e5  o-o e5d4 f3d4 f8e8
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 a7a5 b4b5 c7c5 c2c4 b7b6 d2d3 d7d5 c4d5 f6d5 b2g7 g8g7
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 d7d5  o-o c8g4 c2c4 c7c6 b1a3 b8d7 a1c1 a7a5 b4b5 a5a4
!
g1f3 g8f6 g2g3 g7g6 b2b4 a7a5 b4b5 c7c6 b1a3 f8g7 a1b1 d7d5 c2c4 b8d7 f1g2 f6e4 c1b2 d7f6  o-o e4d6
!
g1f3 g8f6 g2g3 g7g6 b2b4 b7b6 c1b2 f8g7 f1g2 c8b7  o-o  o-o d2d3 c7c5 b4c5 b6c5 b1d2 b8c6 a1b1 a8b8
!
g1f3 g8f6 g2g3 g7g6 b2b4 b7b6 c1b2 f8g7 f1g2 c8b7  o-o  o-o d2d3 d7d5 b1d2 b8a6 a1b1 c7c5 b4c5 a6c5
!
g1f3 g8f6 g2g3 g7g6 b2b4 c7c6 a2a4 f8g7 b1a3 d7d5 f1g2  o-o  o-o d8d6 c2c3 e7e5 a4a5 c8f5 a3c2 f8e8
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 d7d6  o-o e7e5 d2d3 f6h5 e2e4 f7f5 e4f5 c8f5 b1d2 d8d7
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 d7d6  o-o e7e5 d2d3 f6h5 e2e4 f7f5 e4f5 e5e4 f3d4 c7c5
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 d7d6  o-o e7e5 d2d3 b8d7 b1d2 a7a5 a2a3 d7b6 c2c4 c8d7
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 d7d6  o-o c7c5 b4c5 d6c5 a2a4 b8c6 b1a3 c6d4 f3d4 c5d4
!
g1f3 g8f6 g2g3 g7g6 b2b4 f8g7 c1b2  o-o f1g2 c7c6  o-o a7a5 a2a3 a5b4 a3b4 a8a1 b2a1 d8b6 c2c3 d7d5
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 g8f6  o-o f8e7 c2c3 a7a5 d1c2  o-o a2a4 h7h6 e2e4 d5e4 d3e4 c8e6
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 g8f6  o-o f8e7 c2c3  o-o b2b4 a7a6 d1c2 h7h6 e2e4 d5d4 a2a3 c8g4
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 g8f6  o-o f8c5 b1c3  o-o f3e5
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 g8f6  o-o c8e6 f3g5
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 f7f6 c2c3 a7a5 b1d2 f8c5  o-o c5b6 c3c4 d5d4 a1b1 g8e7 b2b3 e7g6
!
g1f3 d7d5 g2g3 b8c6 f1g2 e7e5 d2d3 c8g4 c2c4 e5e4 d3e4 d5e4 f3d2 f7f5 b1c3 g8f6  o-o d8d7 f2f3 e4f3
!
g1f3 d7d5 g2g3 b8c6 f1g2 c8g4 c2c4 d5c4 b1a3 g7g6 a3c4 f8g7 d2d3 e7e5 c1d2 g8e7 a1c1 a7a5 c4e3 g4d7
!
g1f3 d7d5 g2g3 b8d7 f1g2 e7e5 c2c4 d5c4 d1a4 f8d6 b1a3 g8f6 a3c4  o-o c4d6 c7d6  o-o d7c5 a4h4
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 c2c4 e7e6 d1a4 c7c6 c4d5 g4f3 g2f3 e6d5 d2d4 f8d6 b1c3 f7f5 a4c2
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 b8c6 c2c3 a7a5 a2a4 f8e8 f1e1 h7h6
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 b8c6 c2c3 a7a5 a2a4 h7h6 e4d5 e7d5
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 b8c6 c2c3 d5e4 d3e4 b7b6 d1e2 d8d7
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 b8c6 c2c3 h7h6 f1e1 f8e8 b2b4 a7a6
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 h7h6 b2b4 a7a5 b4b5
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 g8e7 b1d2  o-o e2e4 d5d4 a2a4 f7f6 f3e1 c8e6 f2f4 b8d7
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7  o-o e7e5 d2d3 b8c6 b1d2 f7f5 c2c4 g8e7 c4d5 e7d5 d1b3 d5b6 d2c4 c8e6
!
g1f3 d7d5 g2g3 c7c6 f1g2 c8g4 h2h3 g4f3 g2f3 b8d7 d2d3 e7e6 e2e4 f8d6 b1d2 g8e7 d3d4 d8b6 c2c3 a7a5
!
g1f3 d7d5 g2g3 c7c6 f1g2 c8g4 h2h3 g4f3 g2f3 b8d7 d2d3 e7e5 b1d2 g8f6 e2e4 d5e4 d3e4 f8c5  o-o d8e7
!
g1f3 d7d5 g2g3 c7c6 f1g2 c8g4 h2h3 g4h5 d2d3 e7e6 b1c3 b8d7 e2e4 f8b4  o-o g8f6 g3g4 d5e4 c3e4 f6e4
!
g1f3 d7d5 g2g3 c7c6 f1g2 e7e6  o-o f8d6 d2d3 g8e7 e2e4  o-o d1e2
!
g1f3 d7d5 g2g3 c7c6 f1g2 e7e6  o-o g7g5 d2d4 h7h6 b1d2 g8f6 c2c4 f8g7 b2b3  o-o c1b2 b8d7 d1c2
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 f8e7 b1d2  o-o f3h4 f5g6 h4g6 h7g6 c2c3 b8d7 e2e4 c7c6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 f8d6 b1d2 h7h6 e2e4 f5g4 h2h3 g4f3 d2f3 b8d7 d1e2 d5e4
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 f8c5 b1d2  o-o f3h4 f5g4 h2h3 g4h5 d1e1
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o b8d7 d2d3 c7c6 b1d2 h7h6 e2e4 d5e4 d3e4 f6e4 f3d4 e4d2 c1d2 f5h7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o d8c8 f1e1 f5h3 g2h1 h7h5 c2c4 h5h4 c4d5 h4g3 h2g3 f6d5 b1c3 c7c6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8g4 c2c4 g4f3 g2f3 c7c6 c4d5 c6d5 d2d4 b8c6 b1c3 e7e6  o-o f8e7 c1e3  o-o
!
g1f3 d7d5 g2g3 g8f6 f1g2 e7e6  o-o f8d6 b2b3  o-o c1b2 b7b6 d2d3 c8b7 b1d2 d8e7 a2a3 b8d7 f1e1 e6e5
!
g1f3 d7d5 g2g3 g8f6 f1g2 e7e6  o-o b8d7 b2b3 a7a5 a2a3 b7b6 c1b2 c8b7 c2c4 d5c4 b3c4 f8e7 d1c2  o-o
!
g1f3 d7d5 g2g3 g8f6 f1g2 e7e6  o-o b7b6 d2d3 f8e7 b1d2  o-o e2e4
!
g1f3 d7d5 g2g3 g8f6 f1g2 e7e6  o-o f8e7 d2d3  o-o b1d2 b8c6 e2e4
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 h7h6 b1d2 f8e7 d1e1  o-o e2e4 f5h7 e1e2 c7c5 b2b3 b8c6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 h7h6 b1d2 f8e7 d1e1 b8c6 a2a3  o-o b2b4 f6d7 d2b3 e7f6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 h7h6 b1d2 b8c6 c2c3 f8e7 b2b4  o-o c1b2 f5h7 a2a3 a7a5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 h7h6 b1d2 f8c5 d1e1  o-o e2e4 d5e4 d2e4 f6e4 d3e4 f5h7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 h7h6 b1d2 b8d7 d1e1 f5h7 e2e4 d5e4 d3e4 e6e5 f3h4 f8c5
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 c7c6 e2e4 c8g4 h2h3 g4f3 d1f3 e7e6 f3e2 b8a6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 c7c6 e2e4 f8e8 c2c3 e7e5 d1c2 a7a5 b2b3 b8a6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 c7c6 e2e4 d5e4 d3e4 b8d7 d1e2 d7c5 e4e5 f6d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o c7c6 b2b3 f8g7 c1b2  o-o d2d3 a7a5 a2a3 b8d7 b1d2 b7b6 c2c4 c8b7
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 e7e5 c2c3 b7b6 f1e1 a7a5
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 e7e5 c2c3 d8e7 f1e1 b7b6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 e7e5 c2c3 h7h6 d1c2 c8e6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 e7e5 c2c3 c8e6 f3g5 e6g4
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 e7e5 c2c3 b7b5 d1c2 c8e6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 c6d4 f3d4 d8d4 c2c3
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 d5e4 d3e4 h7h6 d1e2 c8g4 d2b3 d8c8
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 e7e5 c2c3 a7a5 e4d5 f6d5 a2a4 h7h6
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 e7e5 c2c3 h7h6 f1e1 c8e6 d1c2 d8d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 e7e5 c2c3 h7h6 f1e1 f8e8 d1c2 c8e6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 h7h6 d1e1 f8e7 e2e4 f5h7 e1e2  o-o e4e5 f6d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 h7h6 d1e1 f8e7 e2e4 f5h7 e1e2 d8c7 e4e5 f6d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 h7h6 d1e1 f8e7 e2e4 f5h7 e1e2 b8d7 e4e5 f6g8
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 h7h6 d1e1 f8e7 e2e4 d5e4 d3e4 f5h7 e1e2 b8d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 h7h6 d1e1 f8c5 e2e4 f5h7 e1e2  o-o b2b3 a7a5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 f8c5 d1e1  o-o e2e4 f5g4 h2h3 g4h5 d2b3 c5e7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 b8a6 a2a3 f8e7 b2b4  o-o c1b2 h7h6 f1e1 f6d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 e7e6 b1d2 b8d7 c2c4 f8c5 b2b3  o-o c1b2 h7h6 a2a3 a7a5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 h7h6 b1d2 b8d7 c2c4 e7e6 c4d5 c6d5 d2b3
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 h7h6 b1d2 b8d7 c2c4 e7e5 c4d5 c6d5 d1a4 f8d6 e2e4 f5h7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8f5 d2d3 d8c8 b1c3 f5h3 e2e4 h3g2 g1g2 e7e6 c1g5 b8d7 d1e2 h7h6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8g4 h2h3 g4f3 g2f3 e7e6 d2d3 b8d7 f3g2 d8c7 c2c4 d5c4 d3c4 f8e7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8g4 h2h3 g4f3 g2f3 e7e6 d2d3 b8d7 f3g2 f8d6 b1d2  o-o e2e4 d8c7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8g4 h2h3 g4f3 g2f3 e7e6 d2d3 f8e7 b1d2  o-o e2e4 b8d7 f3g2 a7a5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8g4 h2h3 g4f3 g2f3 e7e5 d2d3 b8d7 b1d2 f8e7 e2e4  o-o f3g2 f8e8
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c6  o-o c8g4 h2h3 g4f3 g2f3 e7e5 d2d3 b8d7 b1d2 f8c5 e2e4 d5e4 d3e4  o-o
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 h7h6 c2c3 d5e4 d3e4 c8e6
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 h7h6 c2c3 c8e6 e4d5 f6d5
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 b7b6 c2c3 d5e4 d3e4 f6g4
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 b7b6 c2c3 e7e6 a2a3 a7a5
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 e7e5 e4d5 f6d5 d2c4 f8e8
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4  o-o f1e1 d5d4 e4e5 f6d5 a2a4 a8b8
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4 d5d4 a2a4  o-o d2c4 b7b6 c1d2 c8b7
!
g1f3 d7d5 g2g3 c7c5 f1g2 g7g6  o-o f8g7 d2d3 g8f6 b1d2 b8c6 e2e4 d5d4 a2a4  o-o d2c4 f6e8 c1f4 e8d6
!
g1f3 d7d5 g2g3 c7c5 f1g2 d5d4 c2c3 b8c6 c3d4 c5d4 d1a4 d8d7 b2b4
!
g1f3 d7d5 g2g3 c7c5 f1g2 d5d4 c2c3 b8c6 c3d4 c6d4 f3d4 c5d4 d1a4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 g8f6 c1g5 f8e7 f3d2 c8e6 g5f6 e7f6 b1c3 d5d4 c3a4 f6e7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 g8f6 c1g5 f8e7 f3d2 c8e6 g5f6 e7f6 b1c3  o-o e2e4 d5d4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 g8f6 c1g5 f8e7 f3d2  o-o b1c3 c8e6 e2e4 d5e4 g5f6 e7f6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 g8f6 c1g5 f8e7 f3d2  o-o b1c3 d5d4 g5f6 e7f6 c3d5 c8e6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f8d6 e2e4 d5d4 b1d2 g8e7 c2c4 f7f6 f3h4 c8e6 f2f4 e5f4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f7f6 e2e4 d5d4 f3h4 c8e6 f2f4 d8d7 b1d2 o-o-o f4f5 e6f7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f7f6 e2e4 g8e7 e4d5 e7d5 c2c3 f8e7 d3d4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o g8f6 d2d3 c8g4 b1d2 e7e6 h2h3 g4h5 e2e4 f8e7 c2c3  o-o g3g4 h5g6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f8e7 e2e4 d5d4 a2a4 g7g5 b1d2 c8e6 d2c4 f7f6 h2h4 h7h6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f8e7 e2e4 g8f6 b1d2 d5d4 d2c4 d8c7 a2a4  o-o f3h4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f8e7 e2e4 d5e4 d3e4 d8d1 f1d1 c8g4 c2c3
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1d2 f8g7 e2e4 g8e7 f1e1 b7b6 a2a3 h7h6 a1b1 a7a5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1d2 f8g7 e2e4 g8e7 f1e1 b7b6 a2a3 c8b7 a1b1 d8c7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1d2 f8g7 e2e4 g8e7 f1e1  o-o e4e5 d8c7 d1e2 g6g5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1d2 f8g7 e2e4 d5d4 d2b3 b7b6 e4e5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 f8d6 e2e4 g8e7 b1d2  o-o f1e1 d6c7 c2c3 a7a5 a2a4 b7b6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 f8d6 e2e4 g8e7 b1d2  o-o f1e1 d6c7 c2c3 b7b5 e4d5 e6d5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 f8d6 e2e4 g8e7 b1d2  o-o f1e1 d6c7 c2c3 b7b6 e4d5 e6d5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 f8d6 e2e4 g8e7 b1d2  o-o f1e1 d8c7 c2c3 c8d7 d1e2 f7f6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 f8d6 e2e4 g8e7 b1d2 b7b6 f1e1 c8b7 h2h4 h7h6 d2f1 d5e4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 b7b6 e4e5 f6d7 d2f1 c8a6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 b7b6 e4e5 f6e8 d2f1 g8h8
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 f8e8 e4e5 f6d7 d2f1 f7f6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 d5e4 d3e4 e6e5 c2c3 d8c7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 d5e4 d3e4 b7b6 e4e5 f6d5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 a8b8 e4e5 f6d7 d2f1 b7b5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 a7a6 e4e5 f6e8 h2h4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 g8h8 c2c3 c8d7 e4e5 f6g8
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4 b7b5 e4d5 e6d5 c2c4 b5c4 d3c4  o-o
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4 b7b6 f1e1 c8b7 c2c3 d8c7 e4e5 f6d7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4 b7b6 f1e1 d8c7 e4e5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4 a7a5 a2a4 b7b6 f1e1 c8b7 c2c3 h7h6
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 g7g6 e2e4 f8g7 e4d5 f6d5 d2b3 b7b6 c2c4 d5e7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 g7g6 e2e4 f8g7 e4d5 e6d5 f1e1
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 d8c7 d2f1 d5e4 d3e4 f8d8
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 d8c7 d2f1 f8d8 e4e5 f6d7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 b7b5 e4e5 f6d7 d2f1 a7a5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g8f6 b1d2 f8e7 e2e4  o-o f1e1 b7b5 e4e5 f6e8 d2f1 b5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1  o-o b2b4 h7h6 b4b5 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1  o-o b2b4 a7a6 a2a4 a8b8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1  o-o b2b4 c6e7 d1b3 g8h8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1 c8e6 b2b4 d8d7 b4b5 c6d8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1 a7a5 a2a3  o-o b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1 a7a5 a2a3 c8d7 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8f6 a1b1 h7h6 b2b4 g6g5 b4b5 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8h6 c1g5 d8d7 c3d5 h6g8 b2b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 f7f5  o-o g8e7 c1d2 h7h6 a1b1 c8e6 b2b4 d8d7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 a7a5 a2a3 h7h6 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 a7a5 a2a3 c8d7 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 a7a5 a2a3 c8f5 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 a7a5 a2a3 c6d4 f3d2
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 h7h6 b2b4 f7f5 b4b5 c6b8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 h7h6 b2b4 c8e6 b4b5 c6b8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 c8g4 h2h3 g4d7 f3e1 a7a6
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 c8d7 b2b4 d8c8 f1e1 d7h3
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o  o-o a1b1 c8f5 b2b4 d8d7 b4b5 c6d8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8e7  o-o h7h6 a1b1 c8e6 b2b4 d8d7 b4b5 c6d8
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 c6d4 f3d4 e5d4 c3b5 f6g4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 c8d7 b2b4 d8c8 b4b5 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 f6h5 b2b4 f7f5 b4b5 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 c8g4 h2h3 g4f5 b2b4 e5e4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 c8f5 f3h4 f5e6 b2b4 d8d7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 h7h6 b2b4 c8e6 b4b5 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 h7h6 b2b4 a7a6 a2a4 c8e6
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 c8f5 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 c8d7 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 c8e6 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 f6h5 b2b4 a5b4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 f8e8 f3d2 c6e7
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 c6d4 f3d2 c7c6
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g7g6 c2c4 f8g7 b1c3 g8f6  o-o  o-o a1b1 a7a5 a2a3 h7h6 b2b4 a5b4
!
g1f3 b8c6 g2g3 d7d5 f1g2 c8g4 c2c4 e7e6 c4d5 e6d5 d1b3
!
g1f3 b8c6 g2g3 d7d5 f1g2 g8f6  o-o e7e5 d2d3
!
g1f3 b8c6 g2g3 g8f6 f1g2 e7e5 d2d3 d7d5  o-o
!
g1f3 b8c6 g2g3 g8f6 f1g2 d7d5 d2d3 e7e5  o-o
!
g1f3 b8c6 g2g3 g7g6 d2d4 d7d5 c2c4
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d5 f1g2
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 g8f6 c2c4 g7g6 b1c3 f8g7  o-o  o-o
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 f7f5 c2c4 g7g6 b1c3 f8g7  o-o g8f6
!
g1f3 b8c6 g2g3 e7e5 d2d3 d7d6 f1g2 f7f5 c2c4 g8f6 b1c3 g7g6  o-o f8g7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o c7c6 c2c4 d5c4 b1a3 e7e5 a3c4 e5e4 f3e1 f8c5 d2d3  o-o c1e3 b8d7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 c7c5  o-o f8e7 d4c5 e7c5 a4c4 b7b5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 c7c5  o-o a7a6 b1c3 f8e7 d4c5 e7c5 a4c4 b7b5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 c6d5 c4d3 f8b4 c1d2 b8c6 d2b4 c6b4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 b8d7 b1c3 d7b6 c4d3 f8b4  o-o  o-o
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 c6d5 c4d3 c7c5 b1c3 d5c6  o-o b8d7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 c6d5 c4d3 d5e4 d3e3 c7c5 d4c5 d8a5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 d8d7 a4c4 d7c6 b1d2 c6c4 d2c4 f8b4 c1d2 b4d2 f3d2 b8c6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o c7c6 c2c4 e7e6 d2d4 b8d7 b1d2 h7h6 a2a3 f8d6 d1b3 d8c7 c4c5 d6e7
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o e7e6 d2d3 c7c6 b1d2 b8a6 a2a3 f8e7 d1e1 a6c5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5  o-o e7e6 d2d4 f8e7 d4c5 e7c5 c2c4
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5  o-o e7e6 d2d4 c5d4 f3d4 e6e5 d4f3 b8c6 c2c4 d5d4 e2e3 f8e7 e3d4 e5d4
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5  o-o e7e6 d2d4 d8b6 e2e3 b8c6 b2b3 f8e7
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6 d2d4 f8g7  o-o c7c6 b2b3 b8d7 c1b2 e7e5 d4e5 f6g4 b1d2 g4e5 f3e5 d7e5
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3  o-o b1d2 b8c6 e2e4 e7e5 c2c3 a7a5 f1e1 d5e4 d3e4 f6d7
!
g1f3 d7d5 g2g3 g8f6 f1g2 g7g6  o-o f8g7 d2d3 c7c5 e2e4 d5e4 d3e4 b8c6
!
g1f3 d7d5 g2g3 g8f6 f1g2 b8d7 c2c4 e7e6  o-o f8e7 d2d4  o-o b1c3 c7c6 b2b3 b7b6 c1b2 c8b7 d1c2 a8c8
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1c3 f8g7 c1g5 g8f6 f3d2  o-o d2b3 d8e7 e2e4 d5d4
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e5 d2d3 f7f6 e2e4 g8e7 e4d5 e7d5 c2c3 f8e7 d3d4
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7  o-o c7c6 d2d3 e7e5 h2h3 g4h5 c2c4 d5c4 d3c4 g8f6 c1e3 d8c7 b1c3 f8b4
!
g1f3 d7d5 g2g3 c8g4 f1g2 g8f6 b2b3 c7c6 f3e5 g4h5 c2c4 b8d7 e5d7 d8d7 c1b2 e7e6  o-o f8d6 d2d3 d7e7
!
g1f3 d7d5 g2g3 c8g4 f1g2 g8f6 c2c4 c7c6 d1c2 e7e6  o-o f8e7 b2b3 b8d7 c1b2  o-o d2d3 a7a5 b1d2 a5a4
!
g1f3 d7d5 g2g3 c8g4 f1g2 g8f6 c2c4 c7c6 c4d5 g4f3 g2f3 c6d5 d1b3 d8d7 b1c3 e7e6  o-o b8c6 f3g2 f8e7
!
g1f3 d7d5 g2g3 c8g4 f1g2 c7c6 b2b3 g8f6  o-o b8d7 c1b2 e7e6 d2d3 f8e7 b1d2  o-o h2h3 g4f3 d2f3
!
g1f3 d7d5 g2g3 c8g4 f1g2 g8f6  o-o c7c6 c2c4 e7e6 c4d5 g4f3 g2f3 c6d5 b1c3 b8c6 d2d3 f8e7 f3g2
!
g1f3 d7d5 g2g3 c8g4 f1g2 g8f6 d2d3 c7c6 h2h3 g4f3 e2f3 g7g6  o-o f8g7 f3f4  o-o b1d2 e7e6 d2f3 c6c5
!
g1f3 d7d5 g2g3 b8c6 d2d4 c8f5 f1g2 c6b4 b1a3 e7e6  o-o g8f6 f3h4 f5g4 c2c4 c7c6 a3c2 b4c2 d1c2 f8e7
!
g1f3 d7d5 g2g3 e7e6 d2d4 g8f6 c2c4 d5c4 d1a4 b8d7 f1g2 a7a6 a4c4 c7c5 d4c5 f8c5  o-o b7b5 c4h4 c8b7
!
g1f3 d7d5 g2g3 e7e6 f1g2 c7c5  o-o b8c6 d2d3 f8d6 e2e4 g8e7 b1d2  o-o f3h4 b7b6 f2f4 d5e4 d3e4 c8a6
!
g1f3 d7d5 g2g3 b8d7 d2d4 e7e6 f1g2 c7c5 c2c4 d5c4 b1a3 g8f6 a3c4 b7b5 c4e5 c8b7
!
g1f3 d7d5 g2g3 g7g6 f1g2 f8g7 d2d4 g8h6  o-o  o-o c2c3 h6f5 b1d2 b7b6 e2e4 d5e4 d2e4 c8b7 f3h4
!
g1f3 d7d5 g2g3 c7c6 f1g2 c8g4 b2b3 g8f6  o-o b8d7 c1b2 e7e6 d2d3 f8e7 b1d2  o-o h2h3 g4f3 d2f3
!
g1f3 d7d5 g2g3 g8f6 f1g2 b7b6 c2c4 e7e6 c4d5 e6d5  o-o f8d6 d2d4  o-o b1c3 c7c6 f3e5 c8b7 c1g5 h7h6
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5 c2c4 e7e6 d1b3 b8c6 c4d5 e6d5  o-o a8b8 d2d3 f8e7 e2e4 d5e4 f3g5  o-o
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5  o-o c7c6 d2d3 b8d7 b1d2 h7h6 d1e1 e7e6 e2e4 f5h7 e1e2 f8e7 e4e5 f6g8
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5  o-o e7e6 d2d3 b8c6 b1d2 f8e7 e2e4  o-o f1e1 d8c7 e4e5 f6d7 d1e2 b7b5
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 e2e4 f8g7 d1e2 g8e7 e4e5 d8c7 f1e1 h7h6 c2c3 c8d7
!
g1f3 d7d5 g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d3 g7g6 b1c3 f8g7 a2a3 g8e7 a1b1  o-o c1d2 a8b8 b2b4 c5b4
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 c2c4 c7c6 c4d5 c6d5 b1c3 e7e6 d1b3 d8b6 b3b6 d7b6 d2d3 a8c8 c1e3 f8d6
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 c2c4 c7c6 c4d5 c6d5 b1c3 e7e6 d1a4 g8f6 d2d3 f8c5  o-o  o-o e2e4
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 c2c4 c7c6 c4d5 c6d5  o-o g8f6 b1c3 e7e6 h2h3 g4h5 d2d3 f8c5 e2e4  o-o
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 d2d3 c7c6 h2h3 g4f3 g2f3 g8f6  o-o e7e6 b1d2 f8c5 c2c3  o-o
!
g1f3 d7d5 g2g3 c8g4 f1g2 b8d7 b2b3 c7c6 c1b2 g8f6 c2c4 e7e6 f3e5 g4h5 e5d7 d8d7  o-o f8d6 d2d3 d7e7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 f8e7 f3e5 a8b8 e5d7 c8d7 a4c4 b7b5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 f8e7 f3e5 a8b8 e5d7 d8d7 a4c4 b7b5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 a8b8 a4c4 b7b5 c4d3 c8b7  o-o c7c5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8c6 f1g2 f8b4 c1d2 f6d5 d2b4 d5b4 a2a3 b7b5 a4b5 b4c2
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 f8d6 e2e4 b7b5 c3b5 a6b5 a4a8 d7b6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 c5d4  o-o f8c5 f3d4  o-o d4b3 c5b6 e2e4 d5b4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 f8e7  o-o  o-o b1c3 d5c3 b2c3 c5d4 c3d4 c8d7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 f8e7  o-o  o-o b1c3 d5c3 b2c3 b8c6 a1b1 d8a5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 b8c6  o-o d5f6 f3e5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 b8c6  o-o f8e7 d4c5 e7c5 d1c2 c5e7 f1d1 c8d7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 b8c6  o-o f8e7 d4c5 e7c5 d1c2 d8b6 a2a3 a7a5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 c7c5  o-o f8e7 d4c5  o-o c5c6 b7b5
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o c7c5 c4d5 f6d5 e2e4 d5b6 b1c3 c5d4 f3d4 b8c6
!
g1f3 g8f6 c2c4 b7b6 g2g3 g7g6 e2e4 d7d6 b1c3 f8g7 d2d4  o-o f1e2 c8b7 d1c2 e7e5 d4e5 d6e5 c1e3 f8e8
!
g1f3 g8f6 c2c4 b7b6 g2g3 d7d5 c4d5 f6d5 d2d4 c8b7 e2e4 d5f6 f1b5 b8d7 e4e5 f6d5 e5e6
!
g1f3 g8f6 c2c4 b7b6 g2g3 d7d5 c4d5 f6d5 d2d4 c8b7 e2e4 d5f6 f1b5 c7c6 b5d3
!
g1f3 g8f6 c2c4 b7b6 g2g3 c8b7 f1g2 c7c5  o-o g7g6 b2b3 f8g7 c1b2  o-o d2d4 c5d4 d1d4 b8c6 d4h4 h7h6
!
g1f3 g8f6 c2c4 b7b6 g2g3 c8b7 f1g2 g7g6 b2b3 f8g7 c1b2  o-o  o-o c7c5 d2d4 c5d4 d1d4 b8c6 d4h4 h7h6
!
g1f3 g8f6 c2c4 b7b6 g2g3 c8b7 f1g2 e7e5 b1c3 f8b4 d1b3
!
g1f3 g8f6 c2c4 e7e6 g2g3 c7c5 f1g2 b8c6  o-o d7d5 c4d5 f6d5 d2d4
!
g1f3 g8f6 c2c4 e7e6 g2g3 c7c5 f1g2 b8c6  o-o f8e7 b1c3 d7d5 c4d5 f6d5 e2e3  o-o d2d4 c5d4 c3d5 e6d5
!
g1f3 g8f6 c2c4 e7e6 g2g3 c7c5 f1g2 b8c6  o-o c6d4 f3d4 c5d4 e2e3 d8c7 d2d3 d4e3 c1e3 f8e7 b1c3  o-o
!
g1f3 g8f6 c2c4 e7e6 g2g3 b7b6 f1g2 c8b7  o-o c7c5 b2b3 f8e7 c1b2  o-o b1c3 d7d5 f3e5 b8d7 f2f4 d8c8
!
g1f3 g8f6 c2c4 e7e6 g2g3 b7b6 f1g2 c8b7  o-o f8e7 b1c3  o-o b2b3 d7d5 f3e5 b8d7 f2f4 c7c5 c1b2 d8c8
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c6 f1g2 d7d5  o-o b8d7 d2d3 f8e8 b1d2 e7e5 c4d5 f6d5
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 d7d6 f1g2 b8c6  o-o e7e5 d2d3 f6h5 b1c3 f7f5 e2e3 c8d7
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 d7d6 f1g2 b8c6  o-o e7e5 d2d3 c8d7 b1c3 d8c8 f1e1 d7h3
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o b7b6 d2d4 c5d4 f3d4 c8b7 b1c3 d8c7
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d5 c4d5 f6d5 b2g7 g8g7 d2d4 c5d4
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d6 d2d4 c8g4 d4d5 c6a5 b1d2 a7a6
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d6 d2d4 f6e4 b1d2 e4d2 d1d2 c8g4
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d6 d2d4 f6e4 b1d2 c8f5 f3h4 e4d2
!
g1f3 g8f6 c2c4 d7d6 g2g3 e7e5 f1g2 c7c5 d2d3 f8e7 b1d2  o-o  o-o b8d7 b2b3 d8c7 c1b2 f8e8 d1c2
!
g1f3 g8f6 c2c4 d7d6 g2g3 c8g4 f1g2 c7c5 d2d3 e7e5 b1d2 b8d7 b2b3 f8e7 c1b2  o-o  o-o
!
g1f3 g8f6 c2c4 d7d6 g2g3 c8f5 f1g2 c7c5 b2b3 d8c8 h2h3 e7e5 c1b2 b8a6 b1c3 h7h6 d2d3 f8e7 d1d2 a6c7
!
g1f3 g8f6 c2c4 b7b6 g2g3 c8b7 f1g2 g7g6  o-o f8g7 b2b3  o-o c1b2 c7c5 d2d4 c5d4 d1d4 b8c6 d4h4 h7h6
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o b8d7 d1c2 d5c4 c2c4 c7c5 f1d1 c5d4 f3d4 d8b6
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o b8d7 d1c2 c7c6 b2b3 b7b6 c1b2 c8b7 b1c3 a8c8
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o c7c6 d1c2 b7b6 f3e5 c8b7 f1d1 d8c8 b1c3 b8d7
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o d5c4 d1c2 b7b5 a2a4 c7c6 a4b5 c6b5 f3g5
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o d5c4 d1c2 b8d7 b1d2 d7b6 d2c4 b6c4 c2c4 a8b8
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o d5c4 d1c2 a7a6 a2a4 b8c6 f1d1 c6a5 b1d2 b7b5
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o c7c5 c4d5 f6d5 e2e4 d5f6 b1c3 c5d4 f3d4 b8c6
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4  o-o  o-o c7c5 c4d5 f6d5 e2e4 d5c7 b1c3 c5d4 f3d4 e6e5
!
g1f3 g8f6 g2g3 e7e6 f1g2 d7d5 d2d4 f8e7 c2c4 c7c5 c4d5 f6d5  o-o b8c6 d4c5 d8a5 a2a3 a5c5 b2b4 c5b6
!
g1f3 g8f6 g2g3 b7b5 a2a4 b5b4 d2d3 c8b7 e2e4 d7d6 f1g2 b8d7  o-o e7e6 a4a5 a8b8 b1d2 f8e7 d2c4  o-o
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2 c7c5 c4d5 f6d5  o-o c5d4 f3d4  o-o d1b3 e7f6 f1d1
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o c7c5 c4d5 e6d5 b1c3 b8c6 d4c5 e7c5 c3a4 c5e7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 b8d7 f1g2 c7c6 b1d2 f8d6  o-o  o-o b2b3 e6e5 c4d5 e5e4 f3h4 c6d5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c6 f1g2 f8b4 c1d2 b4d2 b1d2 b8d7  o-o  o-o d1c2 f8e8 e2e4 d5e4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o d5c4 f3e5 c7c5 d4c5 d8c7 e5c4 e7c5 b1c3 f8d8
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o b7b6 c4d5 f6d5 e2e4 d5f6 b1c3 c8b7 f3e5 c7c5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o b7b6 c4d5 e6d5 b1c3 c8b7 c1g5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2 c7c5 c4d5 e6d5 b1c3 b8c6  o-o  o-o d4c5 d5d4 c3a4 c8f5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 c7c5 c4d5 f6d5 f1g2 c5d4  o-o f8c5 f3d4 a7a6 b1c3 b8c6 d4c6 b7c6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 c7c5 d4c5 d7c6 b1c3 b8d7 c1e3
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 c7c6 a4c4 f8d6 b1c3  o-o  o-o e6e5 e2e4 e5d4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 c6d5 c4d3 d5e4 d3d1 c7c5 b1c3 e4c6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 f8e7  o-o  o-o b1c3 f6d5 c4d3 b8d7
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 c8d7 a4c4 b8c6 f1g2 c6a5 c4d3 c7c5  o-o a5c6 d4c5 f8c5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o b8d7 d1c2 c7c6 b2b3 b7b5 b1d2 b5c4 b3c4 c8a6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o c7c6 b1c3 b7b6 f3e5 a7a5 d1c2 c8a6 f1d1 b6b5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o c7c6 b1c3 b7b6 f3e5 c8b7 e2e4 d5c4 e5c4 b7a6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 f8e7 f1g2  o-o  o-o b8c6 c4d5 e6d5 c1g5 f6e4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 d2d4 d5c4 d1a4 b8d7 f1g2 a7a6 b1c3 c7c5  o-o a8b8 d4c5 f8c5
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 d7d5 c4d5 f6d5 f1g2 d5b6  o-o f8e7 d2d3 c8e6 c1e3 d8d7 d3d4 e5d4
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 d7d5 c4d5 f6d5 f1g2 d5b6  o-o f8e7 d2d3 c8e6 c1e3  o-o
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 d7d5 c4d5 f6d5 f1g2 d5b6  o-o f8e7 d2d3  o-o c1e3 c8e6 c3e4 f7f5
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 d7d5 c4d5 f6d5 f1g2 d5b6  o-o f8e7 d2d3  o-o c1e3 f7f5 b2b4 e7f6
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 f8c5 f1g2  o-o  o-o f8e8 e2e3 c5b4 c3d5 b4f8 d2d4 d7d6 d1b3 f6e4
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 f8c5 f1g2  o-o  o-o a7a6 e2e3 d7d6 d2d4 c5a7 h2h3 h7h6 b2b3 c8f5
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 f8c5 f1g2 d7d6  o-o c8e6 b2b3  o-o e2e3
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 f8b4 f1g2  o-o  o-o f8e8 d2d3 h7h6 c3d5 b4f8 b2b3 d7d6 c1b2 f6d5
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 d7d6 d2d4 c8g4 d4d5 c6b8 f1g2 f8e7  o-o
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 g7g6 f1g2 f8g7 d2d4 d7d6  o-o  o-o
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 g7g6 f1g2 f8g7 d2d4 e5d4 f3d4  o-o  o-o c6d4 d1d4 d7d6 d4h4 f6g4
!
g1f3 b8c6 c2c4 e7e5 b1c3 g8f6 g2g3 g7g6 f1g2 f8g7 d2d4 e5d4 f3d4  o-o  o-o f8e8 d4c2 d7d6 h2h3 c8e6
!
g1f3 b8c6 c2c4 e7e5 b1c3 g7g6 d2d4 e5d4 c3d5 f8g7 c1g5 g8e7 f3d4 g7d4 d1d4 c6d4 d5f6 e8f8 g5h6
!
g1f3 b8c6 c2c4 e7e5 b1c3 g7g6 d2d4 e5d4 c3d5 f8g7 c1g5 g8f6 f3d4  o-o d4b5 h7h6 g5f6 g7f6 d1d2 f6g7
!
g1f3 b8c6 c2c4 e7e5 b1c3 g7g6 d2d4 e5d4 c3d5 f8g7 c1g5 f7f6 g5f4 d7d6 f3d4 a7a6 h2h4 h7h6 g2g3 f6f5
!
g1f3 b8c6 c2c4 e7e5 b1c3 g7g6 d2d4 e5d4 c3d5 f8g7 c1g5 c6e7 f3d4 h7h6 g5h4 g6g5 h4g3 e7d5 c4d5 d7d6
!
g1f3 b8c6 c2c4 e7e5 b1c3 g7g6 d2d4 e5d4 c3d5 f8g7 c1g5 c6e7 f3d4 c7c6 d5e7 g8e7 d1d2 d7d5 e2e3  o-o
!
g1f3 b8c6 c2c4 e7e6 g2g3 g8f6 f1g2 d7d5 d2d4 d5c4 d1a4 f8b4 c1d2 f6d5 d2b4 d5b4 a2a3 b7b5 a4b5 b4c2
!
g1f3 b8c6 c2c4 e7e6 g2g3 g8f6 f1g2 d7d5 d2d4 d5c4 d1a4 c8d7 a4c4 c6a5 c4d3 c7c5
!
g1f3 b8c6 c2c4 e7e6 g2g3 g8f6 f1g2 d7d5 d2d4 f8e7  o-o  o-o b2b3 f6e4 c1b2 f7f5 f3e5 c6e5 d4e5 c7c6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 f8d6 b2b3  o-o  o-o f8e8 c1b2 b8d7 d2d4 c7c6 b1d2 e6e5 c4d5 c6d5
!
g1f3 d7d5 c2c4 c7c6 b2b3 d5d4 e2e3 c6c5 b3b4 d4e3 f2e3 c5b4 d2d4
!
g1f3 d7d5 c2c4 c7c6 b2b3 d5d4 e2e3 c6c5 b3b4 g8f6 e3d4 c5d4 c4c5 b8c6 f1c4
!
g1f3 d7d5 c2c4 c7c6 b2b3 c8g4 c1b2 e7e6 f3e5 g4f5 e2e3 f7f6 e5f3 e6e5 f1e2 f8d6 b1c3 f5e6  o-o g8e7
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 b8d7 c4d5 c6d5 c1b2 e7e6 b1c3
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 b8d7 c1b2 e7e6 f1g2 f8d6  o-o  o-o b1c3 b7b6 d2d3 c8b7 e2e4 d5e4
!
g1f3 c7c6 g2g3 d7d5 b2b3 g8f6 c2c4 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8d6 d2d3  o-o b1c3 d8e7 f1e1 e6e5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8d6 d2d3  o-o b1c3 e6e5 c4d5 c6d5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8d6 d2d3 e6e5 e2e4 f5e6 e4d5 c6d5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 e7e6 f1g2 a7a5  o-o a5a4 b3a4 d5c4 d1c2 d8a5 c2c4 a5a4 c4d3 b8d7
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 e7e6 f1g2 b8d7  o-o f8e7 c1b2  o-o b1c3 b7b6 d2d3 c8b7 e2e4 a8c8
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 e7e6 f1g2 b8d7  o-o f8d6 c1b2  o-o d2d4 f6e4 b1c3 f7f5 f3e5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 e7e6 f1g2 b8d7  o-o f8d6 c1b2  o-o d2d4 f8e8 b1d2 f6e4 d2e4 d5e4
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8g4 f3e5 g4h5 f1g2 e7e6  o-o b8d7 c1b2 d7e5 b2e5 f8d6
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 g7g6 f1g2 f8g7 c1b2  o-o  o-o b8d7 d2d3 f8e8 b1d2 e7e5 c4d5 f6d5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 g7g6 f1g2 f8g7 c1b2  o-o  o-o b7b6 d2d3 c8b7 d1c2 b8d7 b1d2 a8c8
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 g7g6 f1g2 f8g7 c1b2  o-o  o-o a7a5 c4d5 c6d5 b1c3 b8c6 d2d4 c8f5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 g7g6 f1g2 f8g7 c1b2  o-o  o-o a7a5 c4d5 c6d5 b1c3 c8f5 c3b5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 g7g6 f1g2 f8g7 c1b2 d8b6 d1c1  o-o  o-o b8d7 c4d5 c6d5 b2d4 b6d6
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8d6 d2d3 e6e5 e2e4 d5e4 d3e4 f6e4
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o h7h6 b1c3 f5h7 d2d3 f8c5 e2e4 d5e4
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o h7h6 b1c3 f8e7 d2d3  o-o d1c2 f5h7
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8e7 b1c3  o-o d2d3 e6e5 e2e4 d5e4
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o f8c5 d2d4 c5e7 b1d2  o-o f3e5 d7e5
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8g4 f3e5 g4h5 f1g2 b8d7 e5d7 d8d7 c1b2 e7e6  o-o f8d6 d2d3 d7e7
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 d5c4 b1a3 e7e6 a3c4 f8e7
!
g1f3 g8f6 g2g3 d7d5 f1g2 b8d7 d2d4 c7c5  o-o e7e6 c2c3 f8d6 b1d2  o-o e2e4 c5d4 f3d4 d5e4 d2e4 f6e4
!
g1f3 d7d5 c2c4 d5c4 b1a3 c7c5 a3c4 b8c6 g2g3 e7e5 c4e5 c6e5 f3e5 d8d5 e5f3 c8g4 d1a4 g4d7 a4c2
!
g1f3 d7d5 c2c4 d5c4 b1a3 c7c5 a3c4 b8c6 g2g3 f7f6 f1g2 e7e5 d2d3 c8e6  o-o g8e7 f3d2 e7d5 d2e4 f8e7
!
g1f3 d7d5 c2c4 d5c4 b1a3 c7c5 a3c4 b8c6 g2g3 f7f6 f1g2 g8h6  o-o e7e5 d2d3 h6f7 c1e3 f8e7 a1c1  o-o
!
g1f3 d7d5 c2c4 d5c4 b1a3 e7e5 f3e5 f8a3 d1a4 b7b5 a4a3 d8d5 a3f3 g8f6 f3d5 f6d5 g2g3 f7f6 f1g2 c8b7
!
g1f3 d7d5 c2c4 d5c4 b1a3 e7e5 f3e5 f8a3 d1a4 b7b5 a4a3 c8b7 e2e3 d8d6 a3d6 c7d6 e5f3 b8c6 b2b3 d6d5
!
g1f3 d7d5 c2c4 d5c4 b1a3 e7e5 f3e5 f8a3 d1a4 b7b5 a4a3 d8d6 a3d6 c7d6 e5f3 c8b7 e2e3 b8c6 b2b3 d6d5
!
g1f3 d7d5 c2c4 d5c4 b1a3 g8f6 a3c4 e7e6 g2g3 b8d7 f1g2 d7b6 b2b3
!
g1f3 d7d5 c2c4 d5c4 b1a3 e7e6 a3c4 g8f6 g2g3 b8d7 f1g2 d7b6 b2b3
!
g1f3 d7d5 c2c4 d5c4 b1a3 a7a6 a3c4 b7b5 c4e3 c8b7 g2g3 e7e6 f1g2 g8f6  o-o b8d7 d2d3 f8d6 c1d2  o-o
!
g1f3 g8f6 c2c4 b7b6 g2g3 c8b7 f1g2 c7c5  o-o g7g6 b2b3 f8g7 c1b2  o-o b1c3 d7d5 c3d5 f6d5 b2g7 g8g7
!
g1f3 b7b5 a2a4 b5b4 d2d3 d7d5 b1d2 c8b7 g2g3
!
g1f3 b7b6 g2g3 c8b7 f1g2 e7e6  o-o g8f6 c2c4
!
g1f3 b7b6 g2g3 c8b7 f1g2 e7e6  o-o f7f5 d2d3 g8f6 e2e4 f5e4 f3g5 f8e7 b1c3  o-o c3e4 f6e4 g5e4 b8c6
!
g1f3 b7b6 g2g3 c8b7 f1g2 e7e5 c2c4 g8f6 b1c3 f8b4 d1b3
!
g1f3 b7b6 g2g3 c8b7 f1g2 g8f6 c2c4 e7e6  o-o f8e7 b2b3  o-o c1b2 d7d5 e2e3 b8d7 b1c3 f6e4 c4d5 e4c3
!
g1f3 b7b6 g2g3 g8f6 c2c4 c8b7 f1g2 e7e5 b1c3 f8b4 d1c2  o-o  o-o b4c3 b2c3 e5e4 f3d4 f8e8 a2a4 c7c5
!
g1f3 g8f6 c2c4 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o e7e6 d2d4 c5d4 f3d4 d7d5 c4d5 e6d5
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d6 b1c3 c8d7 d2d4
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 f1g2 b8c6  o-o d7d5 c4d5 f6d5 b2g7 g8g7 d2d4
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2  o-o g2g3 c7c6 f1g2 d7d5  o-o b8d7 d1c2 f8e8 b1c3 d7f8 d2d4 c8f5
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2  o-o g2g3 d7d6 f1g2 e7e5 d2d3 c7c6 b1c3 d8e7  o-o b8d7 e2e3 a7a6
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2  o-o g2g3 d7d6 f1g2 b8c6  o-o e7e5 d2d4 f6d7 d4e5
!
g1f3 g7g6 c2c4 g8f6 b2b3 f8g7 c1b2 c7c5 e2e3  o-o f1e2 b7b6 d2d4 c5d4 f3d4 c8b7 e2f3 b8c6 b1c3 d8b8
!
g1f3 g7g6 c2c4 f8g7 g2g3 d7d6 f1g2 e7e5  o-o g8f6 d2d4 e5e4 f3g5 d8e7 b1c3 c8f5 f2f3
!
g1f3 g7g6 c2c4 f8g7 g2g3 e7e5 b1c3 g8e7 f1g2  o-o d2d4 e5d4 f3d4 b8c6 d4c6 e7c6  o-o d7d6 c1d2 c8g4
!
g1f3 e7e6 g2g3 d7d5 c2c4 g8f6 f1g2 f8e7  o-o  o-o b2b3 c7c5 c1b2 b8c6 d2d3 d8c7 b1a3 b7b6 a3c2 c8b7
!
g1f3 d7d5 c2c4 d5d4 e2e3 c7c5 b2b4 f7f6 e3d4 c5d4 c4c5 b8c6 f1c4
!
g1f3 d7d5 c2c4 d5d4 e2e3 c7c5 b2b4 d4e3 f2e3 c5b4 d2d4
!
g1f3 d7d5 c2c4 d5d4 e2e3 d4e3 f2e3
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 e7e5 d2d3 g8f6 c1e3 d4d8 f1e2 f8e7  o-o  o-o
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 e7e5 d2d3 f8c5 c1e3 d4d6 c3b5 d6e7 e3c5 e7c5
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 e7e5 d2d3 c7c6 c1e3 d4d6 d3d4 e5d4 d1d4 d6d4
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 c7c6 d2d3 e7e5 c1e3 d4d8 f1e2 g8f6  o-o f8e7
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 c8g4 d1a4 g4d7 a4b3
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 c8g4 d1a4 c7c6 d2d3 g8f6 c1e3 d4d7 d3d4 e7e6
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 g8f6 d2d3 c7c6 c1e3 d4d7 d3d4 g7g6 f1e2 f8g7
!
g1f3 d7d5 c2c4 d5d4 d2d3 b8c6 g2g3 g8f6 f1g2 e7e5  o-o f8c5 b2b4 c6b4 f3e5 d8e7 e5f3  o-o b1d2
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 d2d3 d7d6 e2e4 e7e5 c2c3 g8e7 f3h4  o-o f2f4 e5f4 g3f4 f7f5
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 d2d3 e7e5 e2e4 g8e7 b1d2  o-o a2a4 d7d6 d2c4 f7f5 c2c3 h7h6
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 d2d3 e7e6 e2e4 g8e7 b1d2 d7d6 c2c3  o-o a2a4 f7f5 d1b3 d6d5
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 d2d3 e7e6 e2e4 g8e7 b1d2 d7d5 f1e1 b7b6 e4e5 c8a6 d2f1 d8c7
!
g1f3 c7c5 g2g3 d7d5 f1g2 b8c6 d2d4 e7e6  o-o c5d4 f3d4 f8c5 d4b3 c5b6 c2c4 g8e7 c4d5 e7d5 b1c3 d5c3
!
g1f3 c7c5 g2g3 d7d5 f1g2 b8c6 d2d4 e7e6  o-o c5d4 f3d4 f8c5 d4b3 c5b6 c2c4 d5c4 b3d2 c6a5 b1a3
!
g1f3 c7c5 g2g3 d7d5 f1g2 b8c6 d2d4 e7e6  o-o c5d4 f3d4 f8c5 d4b3 c5b6 c2c4 g8f6 b1c3 d5c4 d1d8 b6d8
!
g1f3 c7c5 g2g3 d7d5 f1g2 b8c6 d2d4 e7e6  o-o g8f6 b2b3 c8d7 c1b2 c5d4 f3d4 f8e7 b1d2  o-o c2c4 d8b6
!
g1f3 c7c5 g2g3 d7d5 f1g2 b8c6 d2d4 e7e6  o-o g8f6 b2b3 c5d4 f3d4 f8c5 d4c6 b7c6 c1b2  o-o c2c4 d8e7
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 e2e4 d7d6 c2c3 e7e5 d2d3 g8h6 f3e1  o-o f2f4 e5f4 c1f4 h6g4
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 e2e4 d7d6 c2c3 e7e5 d2d3 g8f6 b1d2  o-o a2a4 h7h6 f3h4 d6d5
!
g1f3 c7c5 g2g3 b8c6 f1g2 g7g6  o-o f8g7 e2e4 d7d6 c2c3 g8f6 d2d3  o-o b1d2 c8d7 f1e1 b7b5 a2a4 b5b4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7  o-o  o-o b2b3 c7c5 c1b2 d5d4 b3b4 a7a5 b4b5 d8c7 d2d3 e6e5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7  o-o  o-o b2b3 d5d4 e2e3 b8c6 e3d4 c6d4 c1b2 d4f3 d1f3 a8b8
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7  o-o  o-o b2b3 a7a5 c1b2 b8d7 b1c3 d7b6 d2d3 c7c6
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7  o-o  o-o b2b3 b7b6 c1b2 c8b7 c4d5 f6d5 d2d4 c7c5 d4c5 e7c5
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 b8d7 b2b3 c7c6  o-o f8d6 c1b2  o-o b1c3 b7b6 d2d3 c8b7 e2e4 d5e4
!
g1f3 d7d5 c2c4 e7e6 g2g3 d5c4 d1a4 c8d7 a4c4 c7c5 f3e5 b8c6 e5d7 d8d7 f1g2 g8f6 d2d3 f8e7  o-o c6d4
!
g1f3 d7d5 c2c4 e7e6 g2g3 d5c4 d1a4 c8d7 a4c4 c7c5 f3e5 b8c6 e5d7 d8d7 f1g2 g8f6 d2d3 a8c8 b1d2 f8e7
!
g1f3 d7d5 c2c4 e7e6 g2g3 d5c4 d1a4 c8d7 a4c4 d7c6 f1g2 g8f6 d2d4 b8d7 b1c3 d7b6 c4d3 f8b4  o-o  o-o
!
g1f3 d7d5 c2c4 e7e6 g2g3 d5d4 f1g2 g8f6 d2d3 c7c5  o-o b8c6 e2e4 e6e5 f3e1 g7g6 f2f4 c8g4
!
g1f3 d7d5 c2c4 e7e6 g2g3 d5d4 f1g2 c7c5 d2d3 b8c6  o-o g8f6 e2e4 e6e5 f3e1 g7g6 f2f4 c8g4
!
g1f3 d7d5 c2c4 e7e6 g2g3 g8f6 f1g2 d5c4 d1a4 b8d7  o-o a7a6 a4c4 b7b5 c4c2 c8b7 a2a4 c7c5 a4b5 a6b5
!
g1f3 d7d5 c2c4 g8f6 c4d5 d8d5 b1c3 d5a5 d2d4 c7c6 c1d2 a5c7 a1c1 e7e6 g2g3 f8e7 f1g2  o-o  o-o b8d7
!
g1f3 d7d5 c2c4 g8f6 c4d5 f6d5 g2g3
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o c7c6 b1c3 b8a6 b2b3 d7d6 c1b2 c8d7 f1e1 d8a5
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o d7d6 b1c3 c7c6 f1e1 f6e4 d1d3 e4c3 b2c3 e7e5
!
g1f3 f7f5 g2g3 g7g6 c2c4 f8g7 d2d4 d7d6 b1c3 b8d7 f1g2 e7e5
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o d7d6 b1c3 e7e6 d1c2 b8c6 f1d1 d8e7 a1b1 a7a5
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o d7d6 b1c3 b8c6 d4d5 c6a5 d1a4 b7b6 c3b5 c8d7
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o d7d6 b1c3 b8c6 d4d5 c6a5 d1a4 c7c5 d5c6 a5c6
!
g1f3 f7f5 g2g3 g7g6 d2d4 g8f6 c2c4 f8g7 f1g2  o-o  o-o d7d6 b1c3 b8c6 d4d5 c6e5 f3e5 d6e5 d1b3 e7e6
!
g1f3 f7f5 g2g3 b7b6 f1g2 c8b7  o-o g8f6 d2d3 e7e6 e2e4 f5e4 f3g5 f8e7 b1c3  o-o c3e4 f6e4 g5e4 b8c6
!
g1f3 f7f5 g2g3 e7e6 f1g2 g8f6  o-o c7c6 c2c4 d7d5 d2d3 f8c5 b1d2  o-o d1c2 d8e7 e2e4 d5e4 d3e4 e6e5
!
g1f3 e7e6 c2c4 f7f5 g2g3 g8f6 f1g2 c7c6  o-o d7d5 d2d3 f8c5 b1d2  o-o d1c2 d8e7 e2e4 d5e4 d3e4 e6e5
!
g1f3 f7f5 g2g3 e7e6 f1g2 g8f6  o-o f8e7 b2b3 c7c5 c1b2  o-o c2c4 b8c6 b1c3 e6e5 e2e3 d7d6 d2d4 e5e4
!
g1f3 f7f5 g2g3 g8f6 f1g2 g7g6 d2d3 f8g7 b1d2 d7d6 e2e4 e7e5 d2c4  o-o e4f5 g6f5 c1e3 b8c6 d3d4 e5e4
!
g1f3 f7f5 g2g3 e7e6 f1g2 g8f6  o-o f8e7 d2d3  o-o c2c4 d7d6 b1c3 d8e8 e2e4
!
g1f3 f7f5 g2g3 g8f6 f1g2 e7e6 c2c4 f8e7  o-o  o-o b2b3 c7c5 c1b2 b8c6 b1c3 e6e5 e2e3 d7d6 d2d4
!
g1f3 e7e6 c2c4 f7f5 g2g3 g8f6 f1g2 f8e7  o-o  o-o b2b3 d7d5 c1b2 c7c6 d2d3 b8d7 b1d2 d8e8 d1c2
!
g1f3 f7f5 g2g3 g8f6 f1g2 e7e6 c2c4 f8e7  o-o c7c5 b1c3 b8c6 d2d4 c5d4 f3d4  o-o e2e4
!
g1f3 d7d5 g2g3 g8f6 f1g2 c8f5 d2d3 e7e6 b1d2 f8c5  o-o  o-o c2c3 b8d7 f3h4
!
g1f3 c7c5 g2g3 g8f6 f1g2 d7d5  o-o e7e6 d2d3 b8c6 b1d2 f8e7 e2e4  o-o f1e1 d8c7 e4e5 f6d7 d1e2 b7b5
!
g1f3 c7c5 g2g3 d7d5 f1g2 g8f6  o-o b8c6 d2d3 e7e6 b1d2 f8e7 e2e4  o-o f1e1 d8c7 e4e5 f6d7 d1e2 b7b5
!
g1f3 b8c6 c2c4 e7e5 d2d4 d7d6 b1c3 c8g4 d4d5 c6b8 g2g3 g8f6 f1g2 f8e7  o-o  o-o h2h3 g4f3 e2f3 a7a5
!
g1f3 b8c6 c2c4 e7e5 d2d4 e5d4 f3d4 f8b4 c1d2 b4d2 d1d2 g8e7 g2g3  o-o f1g2 d7d6  o-o c8d7 b1c3 f8e8
!
g1f3 b8c6 c2c4 e7e5 d2d4 f8b4 c1d2 b4d2 d1d2 e5d4 f3d4 g8e7 g2g3  o-o f1g2 c6e5 b2b3 d7d5 c4d5 e7d5
!
g1f3 b8c6 c2c4 e7e5 d2d4 f8b4 c1d2 e5e4 d2b4 e4f3 b4c3 f3g2 f1g2 g8f6 d4d5 c6b8 d5d6 b8a6 h1g1
!
g1f3 d7d5 c2c4 c7c6 b2b3 g8f6 g2g3 c8f5 f1g2 e7e6 c1b2 b8d7  o-o h7h6 d2d3 f8e7 b1d2  o-o a2a3 a7a5
!
g1f3 g8f6 c2c4 e7e6 g2g3 d7d5 d2d4 f8e7 f1g2  o-o  o-o b8d7 d1c2 c7c6 b2b3 b7b6 c1b2 c8b7 b1c3 a8c8
!
g1f3 g8f6 b1c3 b8c6 e2e4 e7e5 d2d3 d7d6 c1g5 c8g4 h2h3 g4h5 h3h4 h7h6
!
g1f3 d7d6 g2g3 g8f6 b2b3 e7e5 c2c4 e5e4 f3h4 d6d5 c4d5 d8d5 b1c3 d5c6 e2e3 a7a6 c1b2 c8g4 f1e2 g4e2
!
g1f3 d7d6 b2b3 e7e5 g2g3 e5e4 f3h4 g8f6 c2c4 d6d5 c4d5 d8d5 b1c3 d5c6 e2e3 a7a6 c1b2 c8g4 f1e2 g4e2
!
g1f3 d7d6 b2b3 g8f6 g2g3 e7e5 c2c4 g7g6 c1b2 f8g7 f1g2  o-o  o-o b8c6 d2d4 f6d7 d4e5
!
g1f3 g7g6 g2g3 f8g7 d2d4 d7d5 f1g2 g8h6  o-o  o-o c2c3 h6f5 b1d2 b7b6 e2e4 d5e4 d2e4 c8b7 f3h4
!
g1f3 g7g6 g2g3 f8g7 d2d4 d7d6 f1g2 g8f6  o-o  o-o b1c3 b8d7 e2e4 e7e5 h2h3 f8e8 f1e1 c7c6 c1g5 h7h6
!
g1f3 g7g6 g2g3 g8f6 f1g2 d7d5 d2d4 f8g7 c2c4 d5c4 d1a4 c7c6 a4c4 c8e6 c4c2 e6d5 b1d2
!
g1f3 a7a6 g2g3
!
g1f3 a7a5 g2g3
!
g1f3 b8a6 g2g3
!
g1f3 h7h6 g2g3
!
g1f3 h7h5 g2g3
!
g1f3 g8h6 g2g3
!
g1f3 f7f6 g2g3
!
g1f3 e7e5 f3e5
!
g1f3 g7g5 f3g5
!
!
! Lines above this line (read from the front) are best for W
!
! Lines below this line (read from the back) are best for B
!
!
e2e4 b8c6 d2d4 d7d5 e4d5 d8d5 g1f3 e7e5 b1c3 d5a5 d4d5
!
e2e4 b8c6 d2d4 e7e5 d4e5 c6e5 f2f4 e5g6 c1e3 f8b4 c2c3 b4a5 d1f3 d7d6 b1d2 g8f6 h2h3  o-o o-o-o
!
e2e4 b8c6 d2d4 d7d6 g1f3 c8g4 f1b5 a7a6 b5a4 b7b5 a4b3 g8f6 c2c3 e7e6 d1e2 f8e7  o-o  o-o b1d2 g4h5
!
e2e4 b8c6 d2d4 d7d5 e4d5 d8d5 g1f3 e7e5 b1c3 f8b4 c1d2 b4c3 d2c3 e5d4 f3d4 c6d4 d1d4 d5d4 c3d4 g8f6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 c1g5 h7h6 g5f4 b8d7 d1d2 g6g5 f4g3 f6h5 f1c4 g5g4 f3g1 c7c5
!
e2e4 g7g6 d2d4 f8g7 g1f3 d7d6 b1c3 b8d7 f1c4 e7e6  o-o g8e7 a2a4  o-o c1e3 h7h6 d1d2 g8h7 h2h3 c7c6
!
e2e4 g7g6 d2d4 f8g7 g1f3 d7d6 b1c3 g8f6 f1c4  o-o  o-o b8c6 h2h3 f6d7 c1e3 h7h6 d1d2 g8h7 f3h2 e7e5
!
e2e4 g7g6 d2d4 d7d6 f1c4 f8g7 g1f3 g8f6 d1e2 b8c6 h2h3  o-o b1c3 e7e5 d4e5 d6e5 c1e3 d8e7 o-o-o c8e6
!
e2e4 g7g6 d2d4 f8g7 g1f3 d7d6 b1c3 b8d7 f1c4 d7b6 c4b3 c7c6 a2a4 a7a5  o-o e7e6 c1e3 g8e7
!
e2e4 b7b6 d2d4 e7e6 g1f3 c8b7 f1d3 c7c5 c2c3 d7d6  o-o b8d7 f1e1 g8e7 c1g5 d8c7 b1a3 e7g6 h2h4
!
e2e4 b7b6 d2d4 c8b7 f1d3 e7e6 c1e3 g7g6 b1d2 f8g7 g1f3 g8e7 d1e2 d7d6 h2h4 h7h5 f3g5 b8d7 o-o-o e6e5
!
d2d4 d7d5 c2c4 e7e6 b1c3 g8f6 c1g5 b8d7 c4d5 e6d5 e2e3 c7c6 f1d3 f8e7 d1c2 d7f8 g1f3 g7g6  o-o f8e6
!
d2d4 d7d5 c2c4 d5c4 g1f3 g8f6 e2e3 e7e6 f1c4 c7c5  o-o a7a6 a2a4 b8c6 d1e2 c5d4 f1d1 f8e7 e3d4  o-o
!
d2d4 d7d5 c2c4 d5c4 g1f3 g8f6 e2e3 e7e6 f1c4 c7c5  o-o a7a6 d1e2 b7b5 c4b3 c8b7 f1d1 b8d7 b1c3 d8b8
!
d2d4 d7d5 c2c4 c7c6 g1f3 g8f6 b1c3 d5c4 a2a4 c8f5 e2e3 e7e6 f1c4 f8b4  o-o  o-o d1e2 b8d7 e3e4 f5g6
!
d2d4 d7d5 c2c4 c7c6 g1f3 g8f6 b1c3 e7e6 e2e3 b8d7 f1d3 d5c4 d3c4 b7b5 c4d3 a7a6 e3e4 c6c5 e4e5 c5d4
!
d2d4 d7d5 c2c4 e7e6 b1c3 g8f6 c1g5 f8e7 e2e3  o-o g1f3 b8d7 a1c1 c7c6 f1d3 d5c4 d3c4 f6d5 g5e7 d8e7
!
d2d4 f7f5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7 g1f3  o-o  o-o d7d5 d1c2 c7c6 b1d2 d8e8 f3e5 b8d7 e5d3 d7e5
!
d2d4 f7f5 c2c4 e7e6 g2g3 g8f6 f1g2 f8e7 g1f3  o-o  o-o d7d6 b1c3 d8e8 f1e1 e8g6 e2e4 f6e4 c3e4 f5e4
!
d2d4 d7d5 c2c4 e7e6 b1c3 g8f6 c1g5 f8e7 e2e3  o-o g1f3 h7h6 g5h4 b7b6 f1d3 c8b7  o-o b8d7 a1c1 c7c5
!
d2d4 d7d5 c2c4 e7e6 b1c3 c7c5 c4d5 e6d5 g1f3 b8c6 g2g3 g8f6 f1g2 f8e7  o-o  o-o c1g5 c8e6 d4c5 e7c5
!
d2d4 d7d5 c2c4 e7e6 b1c3 g8f6 g1f3 c7c5 c4d5 f6d5 e2e3 b8c6 f1d3 f8e7  o-o  o-o a2a3 c5d4 e3d4 d5f6
!
d2d4 d7d5 g1f3 g8f6 e2e3 e7e6 b1d2 c7c5 c2c3 b8d7 f1d3 f8e7  o-o  o-o e3e4 d5e4 d2e4 f6e4 d3e4 d7f6
!
d2d4 g8f6 c1g5 d7d5 b1d2 g7g6 e2e3 f8g7 f1d3  o-o f2f4 c7c5 c2c3 c5d4 e3d4 d8b6 a1b1 b6e6 d1e2 e6e2
!
d2d4 g8f6 c1g5 d7d5 b1c3 b8d7 g1f3 g7g6 e2e3 f8g7 f1d3  o-o  o-o c7c5
!
d2d4 g8f6 c1g5 d7d5 g1f3 f6e4 g5h4 c7c5 d4c5 d8a5
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 c4d5 c6d5 b1c3 b8c6 g1h3 f8g7  o-o  o-o h3f4 e7e6 e2e3 b7b6
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 c4d5 c6d5 g1f3 f8g7  o-o  o-o b1c3 b8c6 f3e5 c6e5 d4e5 f6g4
!
d2d4 g8f6 c1g5 d7d5 g1f3 f6e4 g5h4 c7c5 c2c3 d8b6
!
d2d4 g8f6 g1f3 g7g6 b2b3 f8g7 c1b2  o-o g2g3 c7c5 d4c5 d8a5 d1d2 a5c5 b1c3 d7d5
!
d2d4 g8f6 g1f3 g7g6 c1f4 f8g7 e2e3 d7d6 h2h3  o-o b1d2 b8d7 f1c4 e7e6 c2c3 d8e7
!
d2d4 g8f6 g1f3 g7g6 h2h3 f8g7 c1f4 b7b6 e2e3 c7c5 c2c4 c5d4 e3d4  o-o b1c3 d7d5 f1e2 c8b7 b2b3 f6e4
!
d2d4 g8f6 g1f3 g7g6 e2e3 f8g7 b1d2 b7b6 f1c4  o-o d1e2 c7c5 c2c3 c8b7  o-o d7d5 c4d3 f6e4 d3e4 d5e4
!
d2d4 g8f6 g1f3 g7g6 g2g3 f8g7 f1g2 d7d6  o-o  o-o b1c3 b8d7 e2e4 e7e5 h2h3 f8e8 f1e1 c7c6 c1g5 h7h6
!
d2d4 g8f6 g1f3 g7g6 g2g3 f8g7 f1g2 d7d6  o-o  o-o b2b3 e7e5 d4e5 d6e5 c1b2 e5e4
!
d2d4 g8f6 g1f3 g7g6 c2c3 f8g7 c1f4  o-o b1d2 d7d6 e2e4 b8c6 f1b5 a7a6 b5a4 b7b5 a4b3 c6a5 b3c2 a5c4
!
d2d4 g8f6 g1f3 g7g6 b1d2 f8g7 e2e4 d7d6 f1c4  o-o  o-o b8c6 c2c3 e7e5 d4e5 c6e5 f3e5 d6e5 d1c2 d8e7
!
d2d4 g8f6 f2f3 d7d5 e2e4 d5e4 b1c3 c8f5 g2g4 f5g6 g4g5 f6d5 c3e4 e7e6 c2c4 d5e7 e4g3 b8c6 c1e3 e7f5
!
d2d4 g8f6 f2f3 d7d5 e2e4 d5e4 b1c3 c8f5 f3e4 f6e4 d1f3 e4c3 b2c3 d8c8 f1d3 f5d3 c2d3 c7c6
!
g1h3 d7d5 g2g3 e7e5 f1g2 g8f6
!
g2g4 d7d5 f1g2 c8g4 c2c4 c7c6 c4d5 g8f6 b1c3 e7e5 d5e6 g4e6 d2d4 b8d7 e2e4 d7b6 g1e2
!
g2g4 d7d5 f1g2 e7e5 c2c4 c7c6 c4d5 c6d5 d1b3 g8e7 b1c3 b8c6 c3d5 c6d4 b3c4 e7d5 g2d5 b7b5
!
g2g4 d7d5 f1g2 e7e5 c2c4 c7c6 c4d5 c6d5 d1b3 g8e7 b1c3 b8c6 c3d5 c6d4 b3a4 c8d7 a4d1 d7c6 e2e4 e7d5
!
g2g4 d7d5 f1g2 e7e5 c2c4 c7c6 c4d5 c6d5 d1b3 g8e7 b1c3 b8c6 g2d5 e7d5 c3d5 f8e7 e2e4 c6d4
!
g2g4 d7d5 f1g2 e7e5 c2c4 c7c6 c4d5 c6d5 d1b3 g8e7 b1c3 b8c6 g2d5 e7d5 b3d5 c8g4
!
g2g3 e7e5 g1f3 e5e4 f3d4 d7d5 d2d3 e4d3 d1d3 g8f6 f1g2 f8b4 c1d2 b4d2 b1d2  o-o c2c4 b8a6 c4d5 a6b4
!
g2g3 e7e5 c2c4 c7c6 g1f3 e5e4 f3d4 d7d5 d2d3 f8b4 c1d2 d8b6 d2b4 b6b4 d1d2 b4d2 b1d2 e4d3 e2e3 g8f6
!
g2g3 e7e5 f1g2 d7d5 g1f3 e5e4 f3d4 c7c5 d4b3 c5c4 b3d4 f8c5 c2c3 b8c6 d4c6 b7c6  o-o g8e7 b2b3 c8a6
!
g2g3 e7e5 d2d4 e5d4 d1d4 b8c6 d4a4 f8c5 f1g2 g8e7 g1f3 d7d6 c2c3 c8d7 a4c2 d7f5 e2e4 f5d7  o-o d8c8
!
g2g3 e7e5 d2d4 e5d4 d1d4 b8c6 d4a4 f8c5 f1g2 g8e7 g1f3 d7d6 c2c3 c8d7 a4c2 d7f5 e2e4 f5d7 b1d2 d8c8
!
g2g3 e7e5 g1f3 e5e4 f3d4 d7d5 d2d3 e4d3 d1d3 g8f6 f1g2 f8b4 c2c3 b4e7
!
b2b3 e7e5 c1b2 f7f6 e2e4 f8c5 f1c4 g8e7 d1h5 g7g6 h5f3 b8c6 g1e2 h8f8 g2g4 f6f5 g4f5 d7d5 e4d5 f8f5
!
c2c3 g8f6 d2d4 b7b6 g1f3 c8b7 g2g3 e7e5 d4e5 f6g4 c1g5 f8e7 g5e7 d8e7 f1g2 g4e5  o-o e5f3 e2f3  o-o
!
b2b4 e7e5 c1b2 f7f6 e2e4 f8b4 f1c4 g8e7 f2f4 d7d5 e4d5 e5f4 d1f3 b4d6 g1e2 e7g6 d2d4 d8e7 b2c1 c8f5
!
b2b4 e7e5 c1b2 f7f6 b4b5 d7d5 e2e3 c8e6 g1f3 c7c5 c2c4 d5d4 d2d3 g8h6 e3e4 g7g6 g2g3 d8c8 f1g2 e6h3
!
b2b4 e7e5 c1b2 f7f6 e2e4 f8b4 f1c4 g8e7 d1h5 g7g6 h5h4 e7c6 f2f4 d8e7 f4f5 g6f5 h4h5 e8d8
!
b2b4 e7e5 c1b2 f7f6 e2e4 f8b4 f1c4 g8e7 d1h5 g7g6 h5h4 e7c6 f2f4 d8e7 a2a3 b4a5 g1e2
!
b2b4 e7e5 c1b2 f7f6 e2e4 f8b4 f1c4 g8e7 f2f4 d7d5 e4d5 e5f4 d1f3 b4d6 g1e2 e7g6 d2d4  o-o b2c1 c8f5
!
e2e3 e7e5 b1c3 d7d5 d2d4 e5d4 d1d4 g8f6 e3e4 b8c6 f1b5 c8d7 b5c6 d7c6 e4e5 f6e4 c3e4 d5e4 g1e2 f8e7
!
e2e3 e7e5 d2d4 e5d4 e3d4 d7d5 b1c3 g8f6 c1g5 f8e7 f1d3  o-o g1e2 b8c6  o-o f6e8 g5e7 c6e7 d1d2 c7c6
!
a2a3 c7c5 c2c4 b8c6 g1f3 g7g6 g2g3 f8g7 f1g2 g8h6  o-o  o-o b1c3 h6f5 d2d3 d7d6 a1b1 a7a5
!
f2f4 d7d5 c2c4 d5c4 b1a3 e7e5 f4e5 f8a3 d1a4 b8c6 a4a3 c6e5
!
f2f4 d7d5 b2b3 c8g4 g2g3 g8f6 f1g2 c7c6 g1f3 g4f3 g2f3 g7g6
!
f2f4 d7d5 g2g3 g8f6 f1g2 c7c5 g1f3 b8c6 c2c3 g7g6  o-o f8g7 d2d3  o-o b1d2 d8c7
!
f2f4 d7d5 g1f3 g8f6 e2e3 g7g6 b2b3 f8g7 c1b2  o-o f1e2 c7c5  o-o b8c6 f3e5 d8c7 e5c6 c7c6 e2f3 c8e6
!
f2f4 d7d5 g1f3 g8f6 e2e3 g7g6 b2b4 f8g7 c1b2  o-o f1e2 b7b6  o-o c8b7 b1a3 b8d7 c2c4 c7c5 b4c5 d7c5
!
f2f4 d7d5 g1f3 g8f6 e2e3 g7g6 b2b3 f8g7 c1b2  o-o f1e2 c7c5 c2c4 d5d4 e3d4 f6h5
!
f2f4 d7d5 g1f3 g8f6 e2e3 g7g6 b2b3 f8g7 c1b2  o-o f1e2 c7c5  o-o b8c6 f3e5 d8c7 b1c3 c6e5 c3b5 c7b6
!
f2f4 d7d5 e2e3 g7g6 c2c4 g8f6 b1c3 f8g7 g1f3  o-o d1b3 d5c4 f1c4 b8c6 f3e5 c6e5 f4e5 f6d7 c4f7 g8h8
!
f2f4 d7d5 e2e3 g7g6 g1f3 f8g7 d2d4 g8f6 f1d3  o-o b1d2 c7c5 c2c3 b7b6 d1e2 c8b7 f3e5 d8c7  o-o b8c6
!
c2c4 e7e5 b1c3 g8f6 g1f3 b8c6 d2d4 e5d4 f3d4 f8b4 c1g5 h7h6 g5h4 b4c3 b2c3 d7d6 f2f3  o-o e2e4 c6e5
!
c2c4 g8f6 b1c3 e7e6 e2e4 d7d5 e4e5 d5d4 e5f6 d4c3 b2c3 d8f6 d2d4 c7c5 g1f3 c5d4 c1g5 f6f5 c3d4 f8b4
!
c2c4 c7c5 b1c3 b8c6 g2g3 g7g6 f1g2 f8g7 g1f3 g8f6  o-o  o-o d2d3 a7a6 a2a3 a8b8 a1b1 d7d6 b2b4 c5b4
!
c2c4 e7e5 b1c3 g8f6 g2g3 d7d5 c4d5 f6d5 f1g2 d5b6 g1f3 b8c6  o-o f8e7 d2d3  o-o f1e1 c8e6
!
c2c4 g8f6 g1f3 e7e6 b1c3 d7d5 e2e3 c7c5 c4d5 f6d5 f1e2 f8e7  o-o  o-o d2d3 b7b6 c1d2 b8c6 a1c1 c8b7
!
c2c4 g8f6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 g7g6 d2d4 c7c5 g1f3 f8g7 f1b5 c8d7 b5d7 d8d7  o-o c5d4
!
c2c4 g8f6 b1c3 d7d5 c4d5 f6d5 g1f3 d5c3 b2c3 c7c5 g2g3 g7g6 f1g2 f8g7 h2h4 c8d7 f3g5 d7c6 d1b3  o-o
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5 d2d4 e7e6  o-o d8b6 e2e3 b8c6 b2b3 f8e7 c1b2 c5d4 e3d4  o-o b1d2 c8d7
!
g1f3 d7d5 c2c4 d5d4 e2e4 c7c5 d2d3 b8c6 g2g3 g7g6 f1g2 f8g7
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 b1c3 c7c6 d2d3 e7e5 c1e3 d4d8 f1e2 g8f6  o-o f8e7
!
g1f3 d7d5 b2b4 f7f6 d2d4 e7e5 a2a3 e5e4 f3d2 f8d6 e2e3 f6f5 c2c4 c7c6 b1c3 g8f6 d1b3 c8e6 c4d5 c6d5
!
g1f3 d7d5 g2g3 g8f6 f1g2 c7c5  o-o e7e6 d2d3 b8c6 b1d2 f8e7 e2e4  o-o f1e1 b7b5 a2a4 b5b4 b2b3 c8a6
!
g1f3 d7d5 b2b3 c7c5 c1b2 f7f6 e2e3 e7e5 f1b5 b8c6  o-o f8d6 b5e2 g8e7 d2d3 c8e6 b1d2 b7b6 f1e1 d8d7
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 e3d4 c6d4 f3d4 d8d4 d2d3 e7e5 b1c3 f8c5 c1e3 d4d6 f1e2 g8f6  o-o c7c6
!
g1f3 d7d5 c2c4 d5d4 b2b4 f7f6 c1b2 e7e5 a2a3 c7c5 b4c5 f8c5 d2d3 b8c6 b1c3 f6f5 g2g3 g8f6 f1g2  o-o
!
g1f3 d7d5 c2c4 d5d4 b2b4 f7f6 e2e3 e7e5 e3d4 e5e4 d1e2 d8e7 f3g1 b8c6 e2e3 c6b4
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 b2b4 c6b4 e3d4 e7e5 d4e5 c8f5
!
g1f3 d7d5 c2c4 d5d4 e2e3 b8c6 b2b4 c6b4 e3d4 e7e5 a2a3 e5e4 a3b4 e4f3
!
g1f3 g8f6 g2g3 g7g6 f1g2 f8g7  o-o  o-o d2d4 d7d5 c2c4 c7c6 c4d5 c6d5 b1c3 f6e4
!
g1f3 g8f6 d2d4 g7g6 c1f4 f8g7 h2h3 c7c5 e2e3 b7b6 b1d2 c8b7 f1d3  o-o  o-o d7d6 c2c3 b8d7 d1e2 a8c8
!
g1f3 g8f6 g2g3 g7g6 b2b3 f8g7 c1b2  o-o f1g2 d7d6 d2d4 f6d7 b1c3 e7e5 d1d2 f8e8 d4e5 d7e5 f3e5 g7e5
!
d2d4 g8f6 c2c4 e7e6 g1f3 b7b6 g2g3 c8b7 f1g2 f8e7  o-o  o-o b1c3 f6e4 d1c2 e4c3 c2c3 f7f5 b2b3 e7f6
!
d2d4 g8f6 c2c4 c7c5 d4d5 e7e6 b1c3 e6d5 c4d5 d7d6 g1f3 g7g6 e2e4 f8g7 f1e2  o-o  o-o f8e8 f3d2 b8a6
!
d2d4 g8f6 c2c4 d7d6 b1c3 e7e5 g1f3 b8d7 e2e4 f8e7 f1e2  o-o  o-o c7c6 d1c2 f8e8 f1d1 e7f8 a1b1
!
d2d4 g8f6 c2c4 e7e5 d4e5 f6g4 c1f4 b8c6 g1f3 f8b4 b1d2 d8e7 a2a3 g4e5 f3e5 c6e5 e2e3 b4d2 d1d2 d7d6
!
d2d4 g8f6 c2c4 e7e6 b1c3 f8b4 d1c2 d7d5 c4d5 e6d5 c1g5 h7h6 g5f6 d8f6 a2a3 b4c3 c2c3  o-o e2e3 c7c6
!
d2d4 g8f6 c2c4 e7e6 b1c3 f8b4 a2a3 b4c3 b2c3 c7c5 e2e3  o-o f1d3 b8c6 g1e2 b7b6 e3e4 f6e8  o-o c8a6
!
d2d4 g8f6 c2c4 e7e6 b1c3 f8b4 e2e3 b7b6 g1e2 b4a5 a2a3 a5c3 e2c3 d7d5 b2b3  o-o f1e2 d5c4 b3c4 b8c6
!
d2d4 g8f6 c2c4 e7e6 b1c3 f8b4 e2e3  o-o f1d3 c7c5 g1f3 d7d5  o-o b8c6 a2a3 b4c3 b2c3 d5c4 d3c4 d8c7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 c7c5 f1c4 f8g7 g1e2  o-o  o-o c5d4 c3d4 b8c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 e2e3 f8g7 g1f3  o-o f1e2 e7e6  o-o b7b6 c4d5 e6d5 b2b3 c8b7 c1a3 f8e8
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 c8g4 c1e3 f6d7 f1e2 b8c6 c4c5 d7b6
!
d2d4 g8f6 c2c4 g7g6 b1c3 f8g7 e2e4 d7d6 f2f4 c7c5 g1f3  o-o f1e2 c5d4 f3d4 b8c6 c1e3 c8g4 e2g4 f6g4
!
d2d4 g8f6 c2c4 g7g6 b1c3 f8g7 e2e4 d7d6 f2f3  o-o c1e3 e7e5 d4d5 c7c6 d1d2 c6d5 c4d5 a7a6 g2g4 b8d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 f8g7 e2e4 d7d6 g1f3  o-o f1e2 e7e5  o-o b8c6 d4d5 c6e7 f3e1 f6d7 e1d3 f7f5
!
d2d4 g8f6 c2c4 g7g6 b1c3 f8g7 g2g3  o-o f1g2 d7d6 g1f3 b8d7  o-o e7e5 e2e4 c7c6 h2h3 d8b6 f1e1 e5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 f8g7 g2g3  o-o f1g2 d7d6 g1f3 c7c5  o-o b8c6 d4d5 c6a5 f3d2 a7a6 d1c2 a8b8
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 d1a4 c8d7 a4b3 d7c6 e2e4
!
c2c4 g8f6 g2g3 c7c6 f1g2 d7d5 b2b3 e7e6 c1b2 f8e7 d2d3 b8d7 g1f3  o-o  o-o b7b6 d1c2 c8b7 e2e4
!
c2c4 g8f6 g1f3 g7g6 d2d4 d7d5 b1c3 c7c6 c4d5 c6d5 d1b3 f8g7 c1g5 b8c6 e2e3 c6a5 f1b5 e8f8 b3c2 c8f5
!
c2c4 g8f6 b1c3 g7g6 g1f3 d7d5 d2d4 c7c6 c4d5 c6d5 c1f4 b8c6 e2e3 a7a6 h2h3 f8g7 f1d3  o-o  o-o c6a5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 c7c6 c1f4 d5c4 a2a4 f6d5 f4e5 f7f6 e5g3 f8g7 e2e4 d5c3 b2c3 b7b5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 f4e5 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 g2g3 f8g7 f1g2 d5b6 e2e3  o-o g1e2 e7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 c7c6 c1f4 d5c4 f4e5 b8d7 e2e3 d7b6 f3d2 c8e6 f1e2 f8g7 c3e4  o-o
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 f8g7 e2e4  o-o g1f3 b7b6 c1f4 c7c5 d4c5 c8a6 c4b3 a6f1
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 e2e3 f8g7 g1f3  o-o d1b3 c7c6 c1d2 d5c4 f1c4 b8d7  o-o d7b6 c4e2 c8f5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o a1c1 c7c5 d4c5 d8a5 c4d5 f8d8 d1a4 a5a4 c3a4 f6d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o a1c1 c7c5 d4c5 d8a5 c4d5 f8d8 f1c4 c8e6 d1b3 f6d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 c7c5 g1f3 f8g7 f1c4 b8c6 c1e3  o-o h2h3 c5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 c7c5 f1b5 c8d7 b5c4 f8g7 g1e2  o-o  o-o c5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 c7c5 f1c4 f8g7 g1e2  o-o  o-o b8d7 c1e3 d8c7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o c4d5 f6d5 c3d5 d8d5 f4c7 b8c6 g1f3 c8g4 f1e2 a8c8
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o g1f3 c7c5 c4d5 f6d5 f4e5 d5c3 b2c3 c5d4 e5g7 g8g7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o d1b3 c7c6 g1f3 d8a5 f1e2 d5c4 e2c4 b7b5 c4e2 c8e6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c4d5 e4c3 b2c3 d8d5 g1f3 f8g7 e2e3 c7c5 f1b5 c8d7 c3c4 d5e4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 d1b3 d5c3 b2c3 f8g7 g1f3  o-o e2e3 c7c5 f1e2 d8c7  o-o b7b6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 f8g7 e2e4  o-o g1f3 b7b6 c1f4 c7c5 d4c5 c8a6 c4d4 d8d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 f8g7 c1f4 b8a6 g1f3  o-o e2e4 c7c5 d4c5 d8a5 e4e5 f6d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o c4d5 f6d5 c3d5 d8d5 f4c7 b8c6 g1e2 c8g4 f2f3 g4f3
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 b1c3 d7d5 c4d5 c6d5 g1h3 f8g7 h3f4  o-o f1g2 e7e6  o-o b8c6 e2e3 b7b6
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o c4d5 c6d5 f3e5 c8f5 b1c3 f6e4 d1b3 b8c6
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o c4d5 c6d5 b1c3 f6e4 c3e4 d5e4 f3g5 d8d4
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o c4d5 c6d5 b1c3 f6e4 c3e4 d5e4 f3e5 d8d5
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o b1a3 f6e4 c1f4 d8b6 d1c1 c8e6 f1d1 b8a6
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o b1d2 c8f5 b2b3 f6e4 c1b2 d8a5 d1e1 e4d2
!
d2d4 g8f6 c2c4 g7g6 g2g3 c7c6 f1g2 d7d5 g1f3 f8g7  o-o  o-o b2b3 c8f5 c1b2 a7a5 b1c3 f6e4 a1c1 e4c3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o g1f3 c7c5 f4e5 d5c4 f1c4 b8c6  o-o c5d4 e3d4 b7b6
!
c2c4 g8f6 b1c3 g7g6 d2d4 d7d5 c1f4 f8g7 e2e3  o-o d1b3 c7c6 g1f3 d8a5 f3d2 f6e4 c3e4 d5e4 o-o-o c8g4
!
g1f3 g8f6 d2d4 g7g6 c2c4 d7d5 b1c3 c7c6 c1f4 d5c4 a2a4 f6d5 f4d2 d5b4 a1c1 f8g7 c3b1 a7a5 b1a3 c6c5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 f3d4 b8c6 d4e6 f7e6 c4d5 f6d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c3e4 d5e4 e2e3 c7c5 d1d2 f8g7 g1e2  o-o e2c3 c5d4 e3d4 f7f6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c3e4 d5e4 d1d2 f8g7 o-o-o h7h6 g5f4 c7c5 d4c5 d8d2 f4d2 c8e6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c4d5 e4g5 h2h4 g5e4 c3e4 d8d5 e4c3 d5a5 e2e3 f8g7 h4h5  o-o
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c4d5 e4g5 h2h4 g5e4 c3e4 d8d5 e4c3 d5a5 h4h5 f8g7 h5h6 g7f6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c4d5 e4g5 h2h4 g5e4 c3e4 d8d5 e4c3 d5a5 h4h5 f8g7 h5g6 h7g6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5f4 e4c3 b2c3 f8g7 e2e3 c7c5 g1f3  o-o f1e2 c5d4 c3d4 d5c4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5h4 e4c3 b2c3 d5c4 e2e4 c7c5 f1c4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5h4 e4c3 b2c3 d5c4 d1a4 b8d7 e2e3 f8g7 f1c4  o-o a4a3 c7c5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5h4 e4c3 b2c3 d5c4 e2e3 c8e6 a1b1 b7b6 g1f3 f8g7 f3d2  o-o
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5h4 e4c3 b2c3 d5c4 e2e3 c8e6 a1b1 b7b6 f1e2 f8h6 g1f3 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 g5h3 e6d5 h3f4  o-o g2g3 f8e8
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 g5f4 e4c3 b2c3 c7c5 e2e3  o-o c4d5 c5d4 c3d4 d8d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 d1a4 c7c6 d5c6 b8c6 g5f3 c8d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 d1d2 e6d5 d2e3 e8f8 e3f4 g7f6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 g5f3 e6d5 e2e3  o-o b2b4 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 g5f3 e6d5 e2e3  o-o f1e2 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c1g5 f6e4 c4d5 e4g5 f3g5 e7e6 g5f3 e6d5 e2e3  o-o f1d3 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c4d5 f6d5 c1d2 c7c5 a1c1 d5c3 d2c3 c5d4 f3d4  o-o e2e3 d8d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 c4d5 f6d5 c1d2 c7c5 e2e4 d5c3 d2c3 c5d4 c3d4 d8a5 d1d2 a5d2
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 e2e3 f8g7 c1d2  o-o c4d5 f6d5 f1c4 d5b6 c4b3 c7c5 d4c5 b6d7 c3a4 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1a4 c7c6 c4d5 f6d5 e2e4 d5c7 c1e3  o-o f1e2 b8d7 a1d1 d7b6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1a4 c8d7 a4b3 b8c6 c4d5 c6d4 b3d1 d4b5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 d1b3 d5b6 g1f3 f8g7 c1f4 c8e6 b3c2 b8c6 e2e3 c6b4 c2d1  o-o
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1a4 c8d7 a4b3 b8c6 b3b7 a8b8 b7a6 c6b4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 f2f3 f8g7 e2e4 d5e4 f3e4  o-o g1f3 c8g4 c1e3 f6e8 d1d2 b8c6 d4d5 c6e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g2g4 d5c4 g4g5 f6d5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 b1c3 d5c3 b2c3 c7c5 e2e3  o-o g1e2 b8c6  o-o a8b8
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 g2g3 f8g7 f1g2 d5c3 b2c3 c7c5 g1f3  o-o  o-o b8c6 d4c5 d8a5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 b1c3 d5c3 b2c3 c7c5 e2e3  o-o g1e2 b8d7 a2a4 a8b8
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d1a4 b8c6 d4d5 b4d3 e1f1 d3c1 d5c6 b7b5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d1a4 b8c6 d4d5 b4d3 e1d2 d3b2
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 g1e2 g7d4
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 a2a3 b4c6 d4d5 c6d4 g1e2 c7c5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d4d5 c7c6 a2a3 d8a5 b1c3 c6d5 c1e3 d5d4
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d4d5 c7c6 g1e2 c6d5 a2a3 d8a5  o-o d5e4
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d4d5 c7c6 g1e2 c6d5 e4d5 c8f5  o-o  o-o
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 e2e4 d5b4 d4d5 c7c6 a2a3 d8a5 b1c3 c6d5 e4d5 c8f5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 c4d5 f6d5 g1f3  o-o  o-o d5b6 b1c3 b8c6 d4d5 c6a5 e2e4 c7c6
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 b1d2 b7b5 f3e5 f6d5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o c4d5 f6d5  o-o d5b6 b1c3 b8c6 d4d5 c6a5 e2e4 c7c6
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 f3e5 f6e8
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 b1c3 b8c6 d4d5 c6b4 f3e5 e7e6 d5e6 c8e6
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 b1c3 b8c6 e2e4 c8g4
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 b1a3 b8c6 a3c4 c8e6 b2b3 e6d5 c1b2 a7a5
!
d2d4 g8f6 c2c4 g7g6 g2g3 f8g7 f1g2 d7d5 g1f3  o-o  o-o d5c4 b1a3 b8c6 a3c4 c8e6 c4e5 c6e5 f3e5 c7c6
!
d2d4 g8f6 c2c4 g7g6 f2f3 d7d5 c4d5 f6d5 e2e4 d5b6 b1c3 f8g7 c1e3  o-o f3f4 b8c6 d4d5 c6b8 a2a4 c7c6
!
d2d4 g8f6 c2c4 g7g6 f2f3 d7d5 c4d5 f6d5 e2e4 d5b6 b1c3 f8g7 c1e3  o-o d1d2 b8c6 o-o-o e7e5 d4d5 c6d4
!
d2d4 g8f6 c2c4 g7g6 f2f3 d7d5 c4d5 f6d5 e2e4 d5b6 b1c3 f8g7 c1e3  o-o f3f4 b8c6 g1f3 c8g4 d4d5 c6b8
!
d2d4 g8f6 c2c4 g7g6 d1c2 d7d5 c4d5 f6d5 e2e4 d5b6 b1c3 f8g7 c1e3  o-o g1f3 f7f5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4d3 f8g7 e2e4 c7c6 g1f3  o-o f1e2 f6e8  o-o e8d6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1a4 c8d7 a4b3 b8c6 g1f3 c6a5 b3b4 a5c4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g2g3 d5c4 d1a4 f6d7 f1g2 f8g7 d4d5  o-o a4c4 d7b6 c4h4 c7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 g5h4 e4c3 b2c3 d5c4 g1f3 f8g7 d1a4 c7c6 a4c4 c8e6 c4d3 b7b5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d4c5 d8a5 a1c1 d5c4 f1c4 b8c6  o-o c8g4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 c4d5 f6d5 f4e5 d5c3 b2c3 g7e5 f3e5 b8d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 f4e5 c5d4 e3d4 c8e6 d1b3 d5c4 b3b7 b8d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d1b3 c5d4 e3d4 b8c6 c4d5 c6a5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d1b3 c5d4 f3d4 d5c4 f1c4 b8d7 f4g3 f6h5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d4c5 d8a5 d1b3 f6e4 f4e5 e4c3 e5c3 g7c3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d4c5 d8a5 d1a4 a5c5 a4b5 c5b5 c3b5 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d4c5 d8a5 f3d2 d5c4 f1c4 a5c5 d1e2 c5b6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o e2e3 c7c5 d4c5 d8a5 c4d5 f6d5 f4e5 d5c3 d1d2 g7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o c4d5 f6d5 c3d5 d8d5 f4c7 b8c6 e2e3 c8g4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 e2e3 b8c6 f1e2 f6e4 c4d5 e4c3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 e2e3 b8c6 f3g5 e6g4 f2f3 e7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 e2e3 b8c6 d1a4 f6e4 f1e2 g7c3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 f3g5 d5d4 c3b5 f6h5 g5e6 f7e6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 f3d4 b8c6 d4e6 f7e6 e2e3 d8a5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 g1f3  o-o a1c1 c7c5 d4c5 c8e6 f3d4 b8c6 e2e3 c6d4 e3d4 d5c4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1g5 f6e4 c3e4 d5e4 d1d2 c7c5 d4d5 b8d7 f2f3 d8b6 f3e4 f8g7 o-o-o b6a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 c1a3 b8d7 g1f3 c7c5 d1b3  o-o f1d3 d8c7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1b5 c7c6 b5c4  o-o g1e2 b7b5 c4b3 c8b7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f2f4 c7c5 c1e3 d8a5 e1f2  o-o d1b3 c5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1c4 c7c5 c1e3 d8a5 d1d2  o-o a1b1 c5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1c4 c7c5 g1f3 b8c6 c1e3  o-o h2h3 d8a5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1c4 c7c5 g1e2 b8c6 d4d5 c6e5 c4b5 c8d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1c4 c7c5 g1e2 b8c6 c1e3  o-o h2h4 c5d4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c4d5 f6d5 e2e4 d5c3 b2c3 f8g7 f1c4 c7c5 g1e2 b8c6 c1e3  o-o  o-o d8c7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5d3 c7c5 d4d5 f8g7 e2e4 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5d3 c7c5 d4c5 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5b3 c7c5 d4c5 d7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5b3 c7c5 d4d5 b8a6 e2e4 f8g7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5b7 d7c6 b7b3 d8d4 g1f3 d4b6 b3c2 f6g4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5c4 d7e6 c4b5 e6d7 b5b3 c7c5 d4c5 d7c6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5c4 d7e6 c4b5 e6d7 b5b3 c7c5 d4d5 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5c4 d7e6 c4b5 e6d7 b5d3 c7c5 d4d5 f8g7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 d1b3 d5c4 b3c4 c8e6 c4b5 e6d7 b5c4 d7e6 c4b5 e6d7 b5d3 c7c5 d4c5 b8a6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 a7a6 a2a4 b7b5 c4b3 c7c5 d4c5 c8e6
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o g2g3 c8e6 c4a4 b8c6 f1g2 f6d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e3 b7b6 f1e2 c8a6 c4a4 a6e2 c3e2 f6d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 a7a6 c4b3 b7b5 e4e5 c8e6 e5f6 e6b3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 a7a6 a2a3 b7b5 c4d3 c7c5 d4c5 d8c7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 a7a6 c1f4 b7b5 c4c7 d8c7 f4c7 c8b7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 g1f3 f8g7 d1b3 d5c4 b3c4  o-o e2e4 a7a6 e4e5 b7b5 c4b3 c8e6 e5f6 e6b3
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 f4e5 d5c4 e2e3 b8c6 g1f3 c6e5 f3e5 f6d7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 f4e5 d5c4 e2e3 b8c6 f1c4 c6e5 d4e5 d8d1 a1d1 f6g4 c3b5 g7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 d1a4 c8d7 a4b3 b8c6 e2e3 c6a5 b3b4 c7c5 b4c5 a8c8 c5b4 d5c4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 d1a4 c8d7 a4b3 b8c6 b3b7 a8b8 b7c7 d8c7 f4c7 b8b2 o-o-o b2b7
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 d1a4 c8d7 a4b3 b8c6 e2e3 c6a5 b3b4 c7c5 d4c5 a5c6 b4a3 e7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 d1a4 c8d7 a4b3 b8c6 e2e3 c6a5 b3b4 c7c5 d4c5 a5c6 b4b7 e7e5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3 c7c5 d4c5 d8a5 c4d5 f6d5 d1d5 g7c3 b2c3 a5c3 e1e2 c3a1
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3 c7c5 d4c5 d8a5 a1c1 d5c4 f1c4  o-o g1f3 b8c6  o-o c8g4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3 c7c5 d4c5 d8a5 a1c1 d5c4 d1a4 a5a4 c3a4 c8d7 c1c4 f6d5
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3 c7c5 d4c5 d8a5 d1b3 d5c4 f1c4  o-o g1f3 f6e4
!
d2d4 g8f6 c2c4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3 c7c5 d4c5 d8a5 d1a4 a5a4 c3a4 f6e4 f2f3 c8d7 f3e4 d7a4
!
e2e4 d7d6 d2d3 g7g6 g2g3 f8g7 f1g2 e7e5 g1f3 b8c6 b1c3 g8e7 c1e3  o-o d1d2 c6d4 c3e2 c8h3 f3d4 h3g2
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 a2a4 a6a5 f1d3 b8a6 g1e2 a6b4 d3b1  o-o
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g2g3 f8g7 f1g2  o-o g1e2 e7e5  o-o b8c6 d4e5 d6e5 c1g5 h7h6 g5d2 c8e6
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 a2a4 a6a5 f1d3 b8a6 a1c1  o-o g1e2 f6d7
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 g1e2 b7b5 e2c1  o-o c4b5 c6b5 b2b4 d6d5
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 f1d3  o-o g1e2 b7b5  o-o b8d7 a1c1 c8b7
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 d1d2 b7b5 o-o-o d8a5 c1b1 b8d7 e3h6 g7h6
!
e2e4 d7d6 d2d4 g8f6 f2f3 g7g6 c2c4 f8g7 b1c3 c7c6 c1e3 a7a6 d1d2 b7b5 o-o-o d8a5 c1b1 b8d7 g1h3 a8b8
!
c2c4 g8f6 d2d4 g7g6 b1c3 d7d5 c1f4 f8g7 e2e3  o-o a1c1 c7c5 d4c5 d8a5 c4d5 f8d8 d1d2 f6d5 f4c7 a5c7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 f4f5 f8g7 f1c4 h5f4 d1f3 g6g5 h4f2 c7c5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g2g3 f8g7 g1f3  o-o f1g2 b8d7  o-o e7e5 h2h3 f8e8 f1e1 c7c6 c1g5 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o h2h4 c7c5 e5e6 d7f6 e6f7 f8f7 h4h5 c8f5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o e5e6 f7e6 h2h4 d7f6 f1d3 b8c6 h4h5 g6h5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4d3 b8c6  o-o d6e5 d4e5 f7f6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4b3 b8c6  o-o c6a5 c3e4 a5b3
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 f1b5 c8d7 e4e5 f6g4 b5d7 d8d7 f3g5 c5d4 e5e6 f7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 f1b5 c8d7 e4e5 f6g4 f3g5 d7b5 d1g4 b5d7 e5e6 d7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 f1b5 c8d7 e4e5 f6g4 e5e6 d7b5 e6f7 e8d7 f3g5 h7h5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 d4c5 d6e5 f4e5 d7e5 d1d8 e8d8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 e5d6  o-o d4c5 d7c5 f1e2 e7d6  o-o b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 d1e2 f6e4 b5d7 b8d7 e2e4 g7c3
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o  o-o b7b6 e4e5 f6d7 c1f4 b8c6 f1e1 c8b7 e2f1
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1e2 f8g7 h2h4 c7c5 d4d5  o-o h4h5 b7b5 h5g6 b5b4 g6h7 g8h8 c3b1 f6e4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o e4e5 d6e5 d4e5 d8d1 e1d1 f6g4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4d3 d8c7 o-o-o b5b4 c3b1 c7a5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 e4e5 f6d5 c4d5 c6d5 c1f4 c8g4 e5d6 e7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 e4e5 f6d5  o-o d5c3 b2c3 c8g4 c1f4 b8d7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o c4b3 b8c6 c1e3 c8g4  o-o e7e5 d4d5 c6d4 e3d4 e5d4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o a2a4 c7c5 d4c5 d6c5 c4b3 c8g4 h2h3 g4f3 d1f3 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o  o-o b7b6 e4e5 f6d7 f1e1 d6e5 d4e5 b8c6 e5e6 f7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1e2 f8g7 h2h4 c7c5 d4c5 d8a5 e1f1 a5c5 c1e3 c5a5 h4h5 g6h5 e2h5 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 f2f4 c7c5 d4c5 d8a5 d1e2 f6e4 e2e4 g7c3 e1f1 c3f6 c5d6  o-o
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o e4e5 d6e5 f3e5 b8d7  o-o c7c5 c1e3 c5d4 e3d4 d7e5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c4b3 c8g4 h2h3 g4f3 e2f3 e7e6 c1g5 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4b3 a7a5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 e4e5 f6d5 h2h3 d5c3 b2c3 c6c5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o c4b3 b8c6 c1e3 c8g4 h2h3 g4f3 d1f3 e7e5 d4e5 d6e5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o a2a4 e7e5 d4e5 d6e5 c4b3 c8g4 h2h3 g4f3 d1f3 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o c4b3 b8c6 h2h3 c6a5 c1e3 c7c6  o-o d6d5 e4e5 f6e8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o  o-o f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 c7c5 d4d5 b8d7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o h2h3 f6e4 c4f7 f8f7 c3e4 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 d1d2 h5f4 d2f4 g6g5 h4g5 h6g5 f4g5 f8h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 d1d2 h5f4 d2f4 g6g5 f4f3 g5h4 f1c4 e7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 g1e2 g6g5 f4g5 e7e6 d1d2 f8e7 o-o-o h6g5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f3 c7c6 c1e3 b8d7 d1d2 b7b5 a2a4 b5b4 c3d1 a7a5 e3h6 f8h6 d2h6 d8b6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o h2h4 c7c5 h4h5 c5d4 h5g6 d4c3 g6f7 f8f7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4d3 b8c6 c1e3 f7f6 e5f6 e7f6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4d3 b8c6 c1e3 f7f6 d4d5 c6b4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4b3 b8c6 c1e3 c6a5 d1e2 a5c4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 f1b5 c8d7 e4e5 f6g4 f3g5 d7b5 c3b5 f7f5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4d5  o-o f1d3 e7e6 d5e6 f7e6  o-o b8c6 g1h1 d6d5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4d5  o-o f1d3 e7e6 d5e6 f7e6  o-o b8c6 e4e5 d6e5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1e2 f8g7 h2h4 c7c5 d4c5 d8a5 e1f1 a5c5 c1e3 c5a5 h4h5 g6h5 f2f3 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1e2 f8g7 h2h4 c7c5 d4c5 d8a5 e1f1 a5c5 c1e3 c5a5 g1h3 c8h3 h1h3 h7h5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1e2 f8g7 h2h4 c7c5 d4d5  o-o h4h5 b7b5 e2b5 d8a5 c1d2 f6e4 c3e4 a5b5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4d3 d8c7  o-o e7e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4d3 d8c7 e4e5 d6e5 d4e5 f6g4
!
b1c3 g8f6 d2d4 d7d6 c1g5 b8d7 e2e4 g7g6 f2f4 h7h6 g5h4 f6h5 g1e2 g6g5 f4g5 e7e6 e2g3 h5f4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 f4f5 f8g7 f5g6 f7g6 f1c4 c7c5 g1e2 d7b6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f3 c7c6 c1e3 b8d7 d1d2 b7b5 g1e2 d7b6 b2b3 d8c7 g2g4 e7e5 f1g2 b5b4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f3 c7c6 c1e3 b8d7 d1d2 b7b5 g1h3 c8b7 f1e2 e7e5  o-o a7a6 a1d1 f8g7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f3 c7c6 c1e3 b8d7 d1d2 b7b5 a2a4 b5b4 c3d1 a7a5 f1d3 e7e5 g1e2 f8g7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o e5e6 f7e6 f3g5 d7f6 f1c4 d6d5 c4d3 c7c5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f3g5 d7b6 f1d3 b8c6 d4d5 c6b4 e5e6 b4d3
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o f1c4 d7b6 c4e2 d6e5 f4e5 b8c6  o-o c8g4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o h2h4 c7c5 h4h5 c5d4 d1d4 d6e5 d4g1 e5e4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 e5d6  o-o d6e7 d8e7 f1e2 c5d4 f3d4 f8e8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 f1c4 c5d4 d1d4  o-o h2h4 d6e5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 e5e6 f7e6 f3g5 g7d4 g5e6 d4c3 b2c3 d8a5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 e4e5 f6d7 d4c5 d6e5 f1c4  o-o  o-o b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4d5  o-o f1d3 e7e6 d5e6 f7e6  o-o b8c6 f4f5 e6f5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4c5 d8a5 f3d2 a5c5 d2b3 c5c7 f1e2 b8d7 c1e3 d7b6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4c5 d8a5 d1d3 a5c5 c1e3 c5a5 f3d2  o-o d2c4 a5c7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4c5 d8a5 f1d3 a5c5 d1e2 c8g4 c1e3 c5a5  o-o b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o h2h3 c7c5 e4e5 d6e5 d4e5 d8d1 e2d1 f6e8 c3d5 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1f4 f8g7 g1f3  o-o f1e2 b8c6 d4d5 e7e5 d5e6 c8e6  o-o f8e8 f1e1 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1f4 f8g7 f1e2  o-o g1f3 b8c6 d4d5 e7e5 d5e6 c8e6  o-o f8e8 f1e1 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o c1f4 b8c6 d4d5 e7e5 d5e6 c8e6  o-o f8e8 f1e1 h7h6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o  o-o b7b6 f1e1 c8b7 e2f1 c7c5 d4d5 b8a6 c1f4 a6c7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1g5 b8d7 f2f4 h7h6 g5h4 f6h5 d1d2 h5f4 d2f4 g6g5 f4f2 g5h4 f1c4 e7e6
!
e2e4 d7d6 f2f3 g7g6 d2d4 g8f6 b1c3 c7c6 c1e3 b8d7 d1d2 b7b5 f1d3 c8b7 g2g4 e7e5 g4g5 f6h5 c3e2 f8g7
!
e2e4 d7d6 g2g3 g8f6 f1g2 g7g6 d2d4 f8g7 g1e2  o-o  o-o e7e5 b1c3 e5d4 e2d4 f8e8 h2h3 b8d7 g1h2 c7c6
!
e2e4 d7d6 b2b3 g7g6 c1b2 g8f6 g2g3 f8g7 f1g2  o-o g1e2 e7e5  o-o b8c6 c2c4 c8g4 f2f3 g4d7 b1c3 d8c8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 c1e3 c7c6 d1d2 b8d7 f2f3 b7b5 c3d1 a7a6 f1d3 e7e5 c2c3 f8g7 g1e2  o-o
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4d3 d8c7 e4e5 d6e5 f3e5 b5b4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6 c1g5 b7b5 c4d3 d8c7 e4e5 d6e5 e2e5 c7d8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o c4b3 b8c6 h2h3 c6a5 c1e3 c7c6 d1e2 d6d5 e4e5 f6e8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o  o-o f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 c7c5 c1e3 b8d7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o  o-o f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 c7c5 d4c5 d8c7
!
e2e4 d7d6 f1c4 g8f6 b1c3 g7g6 f2f4 f8g7 d2d4 f6e4 c4f7 e8f7 c3e4 h8e8 g1f3 f7g8  o-o b8d7 c2c3 b7b6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o  o-o b7b6 c1e3 c8b7 f3d2 e7e5 d4d5 f6e8 d2c4 b8d7
!
e2e4 d7d6 f1e2 g8f6 d2d4 g7g6 b1c3 f8g7 h2h4 c7c5 d4d5  o-o h4h5 b7b5 e2b5 d8a5 b5d3 c5c4 d3c4 f6e4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o c4b3 b8c6 h2h3 c6a5  o-o a5b3 a2b3 b7b6 f1e1 c8b7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 c3e4  o-o g1f3 c7c5 c2c3 c5d4 c3d4 d7b6 f1e2 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 e4e5 f6d7 g1f3  o-o h2h4 c7c5 h4h5 c5d4 d1d4 d6e5 d4f2 e5e4
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 f1b5 c8d7 e4e5 f6g4 e5e6 d7b5 e6f7 e8d7 c3b5 d8a5
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f2f4 f8g7 g1f3 c7c5 d4d5  o-o f1e2 e7e6 d5e6 c8e6  o-o d6d5 f4f5 g6f5
!
e2e4 d7d6 f2f4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 b5d7 b8d7  o-o a5c5 g1h1  o-o
!
e2e4 d7d6 f2f4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 d1d3 f6e4 d3e4 g7c3 b2c3 a5c3
!
e2e4 d7d6 f2f4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 d1d3 f6e4 b5d7 b8d7 d3e4 g7c3
!
e2e4 d7d6 f2f4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 d1e2 f6e4 e2e4 g7c3 b2c3 a5c3
!
e2e4 d7d6 f2f4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3 c7c5 d4c5 d8a5 f1b5 c8d7 d1e2 f6e4 b5d7 b8d7 e2e4 g7c3
!
b1c3 g8f6 g1f3 g7g6 d2d4 d7d6 e2e4 f8g7 f1e2  o-o h2h3 c7c5 d4c5 d8a5  o-o a5c5 c1e3 c5a5 f3d4 a7a6
!
b1c3 g8f6 g1f3 g7g6 e2e4 d7d6 d2d4 f8g7 f1e2  o-o c1f4 b8c6 d4d5 e7e5 f4g5 c6e7 d1d2 f6h5 o-o-o
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 g1f3 f8g7 f1e2  o-o c1e3 c8g4  o-o
!
e2e4 d7d6 g1f3 g8f6 b1c3 g7g6 d2d4 f8g7 f1e2  o-o c1g5 b8d7 d1d2 c7c5  o-o c5d4 f3d4 a7a6 g1h1 d8c7
!
e2e4 d7d6 f1e2 g8f6 b1c3 g7g6 d2d4 f8g7 h2h4 c7c5 d4c5 d8a5 c5d6 f6e4 d6e7 e4c3 b2c3 g7c3 e1f1 b8c6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 d1e2 b8c6 c1e3 f6e4 c4f7 e8f7 c3e4 h8e8 g1f3 f7g8
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 d1e2 b8c6 e4e5 c6d4 e5f6 d4e2 f6g7 h8g8 g1e2 g8g7
!
b1c3 g8f6 d2d4 d7d6 e2e4 g7g6 f1c4 f8g7 f2f4 c7c5 d4c5 d8a5 c1d2 a5c5 d1e2  o-o o-o-o c8g4 g1f3 b8d7
!
b1c3 g8f6 e2e4 d7d6 d2d4 g7g6 f1c4 f8g7 g1f3  o-o e4e5 d6e5 d4e5 d8d1 c3d1 f6g4 c1f4 b8c6 e5e6 c8e6
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o d1e2 c7c6  o-o b7b5 c4b3 b5b4 c3d1 c8a6 b3c4 a6c4
!
e2e4 d7d6 f1c4 g8f6 b1c3 g7g6 d2d4 f8g7 g1f3  o-o h2h3 f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 c7c5 d4c5 d8c7
!
e2e4 d7d6 b1c3 g7g6 d2d4 g8f6 f1c4 f8g7 g1f3  o-o c1g5 h7h6 g5f4 f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 b8d7
!
e2e4 d7d6 b1c3 g7g6 f1c4 f8g7 d2d4 g8f6 g1f3  o-o c1g5 h7h6 g5f4 f6e4 c3e4 d6d5 c4d3 d5e4 d3e4 b8d7
!
e2e4 d7d6 d2d4 g8f6 b1c3 g7g6 f1c4 f8g7 g1f3  o-o  o-o f6e4 c4f7 f8f7 c3e4 h7h6 h2h3 b8d7 d1d3 d7f8
!
d2d3 g7g6 g1f3 g8f6 g2g3 f8g7 f1g2  o-o  o-o c7c5 c2c3 b8c6
!
d2d3 g7g6 g2g3 g8f6 f1g2 f8g7 c2c3  o-o g1f3 c7c5  o-o b8c6
!
d2d3 g7g6 c2c3 g8f6 g1f3 f8g7 g2g3  o-o f1g2 c7c5  o-o b8c6
!
d2d3 g7g6 c2c3 g8f6 g2g3 f8g7 f1g2  o-o g1f3 c7c5  o-o b8c6
!
! Scan book from this end for Black.
!
